#!/bin/bash
echo "Starting A2B for Linux Installation"
if [ "$EUID" -ne 0 ]; then
    echo "Please run this installation script as root"
    exit 1
fi
GUI_SCRIPT="./adi-a2b_software-linux-x86-19.4.4.deb"
GUI_NAME="A2B GUI and Target Software Rel.19.4.4"
GUI_PACKAGE="adi-a2b-software-19.4.4"
ALSA_SCRIPT="./adi-a2b_alsa_driver-linux-x86-19.4.4.deb"
ALSA_NAME="A2B ALSA Driver Rel.19.4.4"
ALSA_PACKAGE="adi-a2b-alsa-driver-19.4.4"
echo "Updating installer permissions. Please wait..."
chmod 755 ${GUI_SCRIPT}
chmod 755 ${ALSA_SCRIPT}
GUI_STATE=`dpkg -l | grep ${GUI_PACKAGE} | grep -c ii`
if [ "${GUI_STATE}" -ge 1 ]; then GUI_STATE="(Already Installed)"; else GUI_STATE=; fi
ALSA_STATE=`dpkg -l | grep ${ALSA_PACKAGE} | grep -c ii`
if [ "${ALSA_STATE}" -ge 1 ]; then ALSA_STATE="(Already Installed)"; else ALSA_STATE=; fi
echo "This installer assists in installation of A2B Software for Linux bundle:"
echo "  ${GUI_NAME} ${GUI_STATE}"
echo "  ${ALSA_NAME} ${ALSA_STATE}"
echo "Please select the software you would like to install"
echo "Note: if you select previously installed software, it will be reinstalled"
a2bopts=("ALL" "${GUI_NAME}" "${ALSA_NAME}" "Quit")
installgui=false
installalsa=false
select opt in "${a2bopts[@]}"
do
    case $opt in
	"ALL")
	    installgui=true
	    installalsa=true
	    break
	    ;;
	"${GUI_NAME}")
	    installgui=true
	    break
	    ;;
	"${ALSA_NAME}")
	    installalsa=true
	    break
	    ;;
	"Quit")
	    echo "Quit Installation"
	    exit 1
	    ;;
	*)  echo "Invalid Option $REPLY";;
    esac
done
if [ "${installgui}" = "true" ]; then
    echo "Installing ${GUI_NAME}"
    echo "Running ${GUI_SCRIPT}"
    dpkg -i ${GUI_SCRIPT}
fi
if [ "${installalsa}" = "true" ]; then
    echo "Installing ${ALSA_NAME}"
    echo "Running ${ALSA_SCRIPT}"
    dpkg -i ${ALSA_SCRIPT}
fi
exit 0
