/*******************************************************************************
Copyright (c) 2023 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.
******************************************************************************
* @brief: This file contains I2C/SPI command sequence to be followed for 
*         discovery and configuration of A2B nodes for an A2B schematic
* @version: $Revision$
* @date: Tuesday, February 14, 2023-5:10:14 PM
* I2C/SPI Command File Version - 1.0.0
* A2B DLL version- 19.4.3.0
* A2B Stack DLL version- 19.4.3.0
* SigmaStudio version- 4.06.000.1812
* Developed by: Automotive Software and Systems team, Bangalore, India
* THIS IS A SIGMASTUDIO GENERATED FILE
*****************************************************************************/

/*! \addtogroup ADI_A2B_DISCOVERY_CONFIG ADI_A2B_DISCOVERY_CONFIG 
* @{
*/
#ifndef _ADI_A2B_CMD_LIST_H_ 
#define _ADI_A2B_CMD_LIST_H_ 

/*! \struct ADI_A2B_DISCOVERY_CONFIG 
A2B discovery config unit structure 
*/
typedef struct 
 { 
/*! Device address */
	unsigned char nDeviceAddr;

/*! Operation code */
	unsigned char eOpCode;

/*! Reg Sub address width (in bytes) */
	unsigned char nAddrWidth;

/*! Reg Sub address */
	unsigned int nAddr;

/*! Reg data width (in bytes) */
	unsigned char nDataWidth;

/*! Reg data count (in bytes) */
	unsigned short nDataCount;

/*! Config Data */
	unsigned char* paConfigData;

} ADI_A2B_DISCOVERY_CONFIG;

#define WRITE   ((unsigned char) 0x00u)
#define READ    ((unsigned char) 0x01u)
#define DELAY   ((unsigned char) 0x02u)
#define INVALID ((unsigned char) 0xffu)

#define CONFIG_LEN (120) 


static unsigned char gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data0[1] =
{
	0x84u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data1[1] =
{
	0x19u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTTYPE_Data2[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTMSK0_Data3[1] =
{
	0x77u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTMSK1_Data4[1] =
{
	0xFEu	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTMSK2_Data5[1] =
{
	0x0Fu	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_BECCTL_Data6[1] =
{
	0xFFu	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTPND2_Data7[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_RESPCYCS_Data8[1] =
{
	0x7Du	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data9[1] =
{
	0x81u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data10[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_I2SGCFG_Data11[1] =
{
	0x62u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_SWCTL_Data12[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_DISCVRY_Data13[1] =
{
	0x7Du	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data14[1] =
{
	0x32u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTTYPE_Data15[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_SWCTL_Data16[1] =
{
	0x21u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data17[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_VENDOR_Data0[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_PRODUCT_Data1[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_VERSION_Data2[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data18[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_SWCTL_Data3[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_DISCVRY_Data19[1] =
{
	0x79u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data20[1] =
{
	0x32u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_INTTYPE_Data21[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data22[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_SWCTL_Data4[1] =
{
	0x21u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data23[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_VENDOR_Data0[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_PRODUCT_Data1[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_VERSION_Data2[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data24[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_LDNSLOTS_Data3[1] =
{
	0x80u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_LUPSLOTS_Data4[1] =
{
	0x02u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_I2CCFG_Data5[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_I2SGCFG_Data6[1] =
{
	0xE0u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_I2SCFG_Data7[1] =
{
	0x11u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_PDMCTL_Data8[1] =
{
	0x18u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_GPIODAT_Data9[1] =
{
	0x10u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_GPIOOEN_Data10[1] =
{
	0x10u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_PINCFG_Data11[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_CLK2CFG_Data12[1] =
{
	0xC1u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_DNMASK0_Data13[1] =
{
	0x03u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_INTMSK0_Data14[1] =
{
	0x77u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_INTMSK1_Data15[1] =
{
	0x7Fu	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_BECCTL_Data16[1] =
{
	0xEFu	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADRSet_Data25[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BSlaveNode1WBZ_CHIPSet_Data17[1] =
{
	0x39u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADREnable_Data26[1] =
{
	0x21u	
};

static unsigned char gaConfig_ADAU1761_NonModRamAlloc_Data0[4] =
{
	0x00u,	0x00u,	0x10u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_SampleRate_Data1[1] =
{
	0x7Fu	
};

static unsigned char gaConfig_ADAU1761_DSPRun_Data2[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_ClockControl_Data3[1] =
{
	0x0Fu	
};

static unsigned char gaConfig_ADAU1761_PLLControl_Data4[6] =
{
	0x00u,	0x01u,	0x00u,	0x00u,	0x20u,	0x03u	
};

static unsigned char gaConfig_ADAU1761_Delay_Data5[2] =
{
	0x00u,	0x64u	
};

static unsigned char gaConfig_ADAU1761_SerialPort_Data6[2] =
{
	0x10u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_ALCControl_Data7[4] =
{
	0x00u,	0x00u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_MicrophoneControl_Data8[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_RecordInput_Data9[8] =
{
	0x00u,	0x01u,	0x05u,	0x01u,	0x05u,	0x00u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_ADCControl_Data10[3] =
{
	0x13u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_PlaybackOutput_Data11[14] =
{
	0x21u,	0x00u,	0x41u,	0x00u,	0x01u,	0x01u,	0x01u,	0xE6u,	0xE7u,	0xE4u,	
	0xE4u,	0xE5u,	0x08u,	0x03u	
};

static unsigned char gaConfig_ADAU1761_ConverterControl_Data12[2] =
{
	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_DACControl_Data13[3] =
{
	0x03u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_SerialPort_Data14[1] =
{
	0xFFu	
};

static unsigned char gaConfig_ADAU1761_CommunicationPort_Data15[2] =
{
	0xA0u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_JackDetect_Data16[1] =
{
	0x08u	
};

static unsigned char gaConfig_ADAU1761_ProgramClear_Data17[1020] =
{
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u	
	
};

static unsigned char gaConfig_ADAU1761_ProgramClear_Data18[1020] =
{
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u	
	
};

static unsigned char gaConfig_ADAU1761_ProgramClear_Data19[1020] =
{
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u	
	
};

static unsigned char gaConfig_ADAU1761_ProgramClear_Data20[1020] =
{
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u	
	
};

static unsigned char gaConfig_ADAU1761_ProgramClear_Data21[15] =
{
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_DSPON_Data22[1] =
{
	0x01u	
};

static unsigned char gaConfig_ADAU1761_CRCRegisters_Data23[5] =
{
	0x41u,	0x7Fu,	0x06u,	0x7Fu,	0x01u	
};

static unsigned char gaConfig_ADAU1761_GPIORegisters_Data24[4] =
{
	0x00u,	0x00u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_NonModulo_Data25[2] =
{
	0x10u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_WatchdogRegisters_Data26[5] =
{
	0x00u,	0x04u,	0x00u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_SamplingRate_Data27[1] =
{
	0x7Fu	
};

static unsigned char gaConfig_ADAU1761_RoutingMatrix_Data28[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_RoutingMatrix_Data29[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_SerialData_Data30[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_DSPSlew_Data31[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_SerialPort_Data32[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_ClockEnable_Data33[2] =
{
	0x7Fu,	0x03u	
};

static unsigned char gaConfig_ADAU1761_ProgramData_Data34[1730] =
{
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFEu,	0xE0u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0x34u,	0x00u,	0x00u,	0x00u,	0xFFu,	0x2Cu,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0x54u,	0x00u,	0x00u,	0x00u,	0xFFu,	0x5Cu,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0xF5u,	0x08u,	0x20u,	0x00u,	0xFFu,	0x38u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0x80u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFEu,	0xE8u,	0x0Cu,	0x00u,	0x00u,	
	0xFEu,	0x30u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFFu,	0xE8u,	0x07u,	0x20u,	0x08u,	
	0x00u,	0x00u,	0x06u,	0xA0u,	0x00u,	0xFFu,	0xE0u,	0x00u,	0xC0u,	0x00u,	
	0xFFu,	0x80u,	0x07u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0x00u,	0x00u,	0x00u,	0x00u,	0xFEu,	0xC0u,	0x22u,	0x00u,	0x27u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFEu,	0xE8u,	0x1Eu,	0x00u,	0x00u,	
	0xFFu,	0xE8u,	0x01u,	0x20u,	0x00u,	0xFFu,	0xD8u,	0x01u,	0x03u,	0x00u,	
	0x00u,	0x07u,	0xC6u,	0x00u,	0x00u,	0xFFu,	0x08u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0xF4u,	0x00u,	0x20u,	0x00u,	0xFFu,	0xD8u,	0x07u,	0x02u,	0x00u,	
	0xFDu,	0xA5u,	0x08u,	0x20u,	0x00u,	0x00u,	0x00u,	0x00u,	0xE2u,	0x00u,	
	0xFDu,	0xADu,	0x08u,	0x20u,	0x00u,	0x00u,	0x08u,	0x00u,	0xE2u,	0x00u,	
	0xFDu,	0x25u,	0x08u,	0x20u,	0x00u,	0x00u,	0x10u,	0x00u,	0xE2u,	0x00u,	
	0xFDu,	0x2Du,	0x08u,	0x20u,	0x00u,	0x00u,	0x18u,	0x00u,	0xE2u,	0x00u,	
	0xFFu,	0xE8u,	0x08u,	0x20u,	0x00u,	0x00u,	0x20u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x45u,	0x1Fu,	0x20u,	0x00u,	0x00u,	0x35u,	0x08u,	0x22u,	0x00u,	
	0x00u,	0x00u,	0x0Au,	0xA0u,	0x00u,	0xFFu,	0xE5u,	0x18u,	0x22u,	0x00u,	
	0x00u,	0x00u,	0x09u,	0xA0u,	0x00u,	0x00u,	0x38u,	0x00u,	0xEAu,	0x00u,	
	0x00u,	0x48u,	0x00u,	0xF2u,	0x00u,	0x00u,	0x38u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0xECu,	0x01u,	0x21u,	0x00u,	0x00u,	0x04u,	0x00u,	0xA1u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFFu,	0xE5u,	0x08u,	0x22u,	0x40u,	
	0x00u,	0x50u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x48u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x57u,	0xFFu,	0x20u,	0x00u,	
	0xFFu,	0xE5u,	0x08u,	0x22u,	0x00u,	0x00u,	0x58u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x58u,	0x0Bu,	0x20u,	0x00u,	0x00u,	0x28u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x85u,	0x1Fu,	0x20u,	0x00u,	0x00u,	0x75u,	0x08u,	0x22u,	0x00u,	
	0x00u,	0x00u,	0x0Du,	0xA0u,	0x00u,	0xFFu,	0xE5u,	0x18u,	0x22u,	0x00u,	
	0x00u,	0x00u,	0x0Cu,	0xA0u,	0x00u,	0x00u,	0x78u,	0x00u,	0xEAu,	0x00u,	
	0x00u,	0x88u,	0x00u,	0xF2u,	0x00u,	0x00u,	0x78u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0xECu,	0x01u,	0x21u,	0x00u,	0x00u,	0x04u,	0x00u,	0xA1u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFFu,	0xE5u,	0x08u,	0x22u,	0x40u,	
	0x00u,	0x50u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x88u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x57u,	0xFFu,	0x20u,	0x00u,	
	0xFFu,	0xE5u,	0x08u,	0x22u,	0x00u,	0x00u,	0x58u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x58u,	0x0Eu,	0x20u,	0x00u,	0x00u,	0x68u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x25u,	0x08u,	0x20u,	0x00u,	0xFFu,	0xD8u,	0x0Fu,	0x02u,	0x00u,	
	0x00u,	0x90u,	0x00u,	0xE2u,	0x00u,	0xFFu,	0xE8u,	0x10u,	0x20u,	0x00u,	
	0x00u,	0xE0u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x6Du,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xA8u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x6Du,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xC0u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x05u,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xB0u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x0Du,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xC8u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x15u,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xB8u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x1Du,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xD0u,	0x00u,	0xE2u,	0x00u,	0xFFu,	0xF5u,	0x08u,	0x20u,	0x00u,	
	0x01u,	0x38u,	0x00u,	0xE2u,	0x00u,	0x00u,	0xDDu,	0x08u,	0x20u,	0x00u,	
	0x00u,	0xE5u,	0x08u,	0x22u,	0x48u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0xFFu,	0xEDu,	0x08u,	0x20u,	0x26u,	0x01u,	0x38u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0xFDu,	0x08u,	0x20u,	0x00u,	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	
	0x00u,	0xDDu,	0x08u,	0x20u,	0x00u,	0x01u,	0x1Du,	0x08u,	0x20u,	0x25u,	
	0x01u,	0x20u,	0x00u,	0xE2u,	0x00u,	0x01u,	0x0Du,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	0x00u,	0xDDu,	0x08u,	0x20u,	0x00u,	
	0x01u,	0x2Du,	0x08u,	0x20u,	0x25u,	0x01u,	0x30u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0x45u,	0x08u,	0x20u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x01u,	0x50u,	0x00u,	0xF0u,	0x00u,	0x01u,	0x55u,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	0x01u,	0x3Du,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xF5u,	0x08u,	0x20u,	0x25u,	0x01u,	0x38u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0xDDu,	0x08u,	0x20u,	0x00u,	0x00u,	0xE0u,	0x00u,	0xE2u,	0x25u,	
	0x00u,	0xEDu,	0x08u,	0x20u,	0x00u,	0x00u,	0xFDu,	0x08u,	0x22u,	0x40u,	
	0x01u,	0x48u,	0x00u,	0xE2u,	0x00u,	0x00u,	0xFDu,	0x08u,	0x20u,	0x00u,	
	0x01u,	0x4Du,	0x14u,	0x22u,	0x00u,	0x01u,	0x00u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0x20u,	0x00u,	0xC0u,	0x00u,	0x00u,	0x07u,	0xFFu,	0xA0u,	0x00u,	
	0x01u,	0x00u,	0x00u,	0xC0u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0xAFu,	0xFFu,	0x20u,	0x80u,	0x00u,	0x98u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0xC7u,	0xFFu,	0x40u,	0x80u,	0x00u,	0xA0u,	0x00u,	0xE4u,	0x00u,	
	0xFFu,	0xEDu,	0x08u,	0x20u,	0x00u,	0xFFu,	0xEFu,	0xFFu,	0x22u,	0x40u,	
	0x01u,	0x10u,	0x00u,	0xE2u,	0x00u,	0x01u,	0x30u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x07u,	0xFFu,	0xA0u,	0x00u,	0x01u,	0x10u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xAFu,	0xFFu,	0x20u,	0x80u,	
	0x00u,	0x9Du,	0x08u,	0x22u,	0x00u,	0x00u,	0x98u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0xC7u,	0xFFu,	0x40u,	0x80u,	0x00u,	0xA5u,	0x08u,	0x44u,	0x00u,	
	0x00u,	0xA0u,	0x00u,	0xE4u,	0x00u,	0x00u,	0xEDu,	0x08u,	0x20u,	0x00u,	
	0x01u,	0x3Du,	0x08u,	0x22u,	0x40u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0xF0u,	0x00u,	0xF0u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x01u,	0x7Du,	0x08u,	0x20u,	0x00u,	0xFFu,	0xE8u,	0x12u,	0x34u,	0x00u,	
	0x01u,	0x6Du,	0x08u,	0x22u,	0x48u,	0x01u,	0x78u,	0x11u,	0x20u,	0x40u,	
	0x01u,	0x68u,	0x11u,	0x34u,	0x40u,	0x01u,	0x78u,	0x11u,	0x20u,	0x25u,	
	0x01u,	0x68u,	0x11u,	0x34u,	0x25u,	0x01u,	0x90u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0x88u,	0x00u,	0xF2u,	0x00u,	0x01u,	0x7Du,	0x08u,	0x20u,	0x00u,	
	0x01u,	0x8Du,	0x08u,	0x22u,	0x00u,	0x01u,	0x6Du,	0x08u,	0x34u,	0x00u,	
	0x01u,	0x95u,	0x08u,	0x22u,	0x00u,	0x01u,	0x70u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0x80u,	0x00u,	0xF2u,	0x00u,	0x01u,	0x75u,	0x08u,	0x20u,	0x08u,	
	0xFFu,	0xEDu,	0x1Fu,	0x20u,	0x00u,	0x01u,	0x75u,	0x08u,	0x20u,	0x25u,	
	0x01u,	0x70u,	0x00u,	0xE2u,	0x00u,	0xFFu,	0xEDu,	0x1Fu,	0x22u,	0x40u,	
	0x01u,	0xA0u,	0x00u,	0xE2u,	0x00u,	0x01u,	0x75u,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xE8u,	0x12u,	0x22u,	0x40u,	0x01u,	0x70u,	0x11u,	0x30u,	0x48u,	
	0x01u,	0xA5u,	0x08u,	0x20u,	0x00u,	0xFFu,	0xE8u,	0x12u,	0x20u,	0x27u,	
	0x01u,	0xA0u,	0x00u,	0xE2u,	0x00u,	0x01u,	0xA0u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x17u,	0xFFu,	0x20u,	0x00u,	0x01u,	0x58u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x1Fu,	0xFFu,	0x20u,	0x00u,	0x01u,	0x60u,	0x00u,	0xE2u,	0x00u,	
	0xFFu,	0xE8u,	0x13u,	0x20u,	0x00u,	0x01u,	0xF0u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x05u,	0x08u,	0x20u,	0x00u,	0x01u,	0xB8u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x0Du,	0x08u,	0x20u,	0x00u,	0x01u,	0xD0u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0x5Du,	0x08u,	0x20u,	0x00u,	0x01u,	0xC0u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0x65u,	0x08u,	0x20u,	0x00u,	0x01u,	0xD8u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x2Du,	0x08u,	0x20u,	0x00u,	0x01u,	0xC8u,	0x00u,	0xE2u,	0x00u,	
	0x00u,	0x2Du,	0x08u,	0x20u,	0x00u,	0x01u,	0xE0u,	0x00u,	0xE2u,	0x00u,	
	0xFFu,	0xF5u,	0x08u,	0x20u,	0x00u,	0x02u,	0x48u,	0x00u,	0xE2u,	0x00u,	
	0x01u,	0xEDu,	0x08u,	0x20u,	0x00u,	0x01u,	0xF5u,	0x08u,	0x22u,	0x48u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFFu,	0xEDu,	0x08u,	0x20u,	0x26u,	
	0x02u,	0x48u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x0Du,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	0x01u,	0xEDu,	0x08u,	0x20u,	0x00u,	
	0x02u,	0x2Du,	0x08u,	0x20u,	0x25u,	0x02u,	0x30u,	0x00u,	0xE2u,	0x00u,	
	0x02u,	0x1Du,	0x08u,	0x20u,	0x00u,	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	
	0x01u,	0xEDu,	0x08u,	0x20u,	0x00u,	0x02u,	0x3Du,	0x08u,	0x20u,	0x25u,	
	0x02u,	0x40u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x55u,	0x08u,	0x20u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x02u,	0x60u,	0x00u,	0xF0u,	0x00u,	
	0x02u,	0x65u,	0x08u,	0x20u,	0x00u,	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	
	0x02u,	0x4Du,	0x08u,	0x20u,	0x00u,	0xFFu,	0xF5u,	0x08u,	0x20u,	0x25u,	
	0x02u,	0x48u,	0x00u,	0xE2u,	0x00u,	0x01u,	0xEDu,	0x08u,	0x20u,	0x00u,	
	0x01u,	0xF0u,	0x00u,	0xE2u,	0x25u,	0x01u,	0xFDu,	0x08u,	0x20u,	0x00u,	
	0x02u,	0x0Du,	0x08u,	0x22u,	0x40u,	0x02u,	0x58u,	0x00u,	0xE2u,	0x00u,	
	0x02u,	0x0Du,	0x08u,	0x20u,	0x00u,	0x02u,	0x5Du,	0x14u,	0x22u,	0x00u,	
	0x02u,	0x10u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x30u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x07u,	0xFFu,	0xA0u,	0x00u,	0x02u,	0x10u,	0x00u,	0xC0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x01u,	0xBFu,	0xFFu,	0x20u,	0x80u,	
	0x01u,	0xA8u,	0x00u,	0xE2u,	0x00u,	0x01u,	0xD7u,	0xFFu,	0x40u,	0x80u,	
	0x01u,	0xB0u,	0x00u,	0xE4u,	0x00u,	0xFFu,	0xEDu,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xEFu,	0xFFu,	0x22u,	0x40u,	0x02u,	0x20u,	0x00u,	0xE2u,	0x00u,	
	0x02u,	0x40u,	0x00u,	0xC0u,	0x00u,	0x00u,	0x07u,	0xFFu,	0xA0u,	0x00u,	
	0x02u,	0x20u,	0x00u,	0xC0u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x01u,	0xBFu,	0xFFu,	0x20u,	0x80u,	0x01u,	0xADu,	0x08u,	0x22u,	0x00u,	
	0x01u,	0xA8u,	0x00u,	0xE2u,	0x00u,	0x01u,	0xD7u,	0xFFu,	0x40u,	0x80u,	
	0x01u,	0xB5u,	0x08u,	0x44u,	0x00u,	0x01u,	0xB0u,	0x00u,	0xE4u,	0x00u,	
	0x01u,	0xFDu,	0x08u,	0x20u,	0x00u,	0x02u,	0x4Du,	0x08u,	0x22u,	0x40u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x02u,	0x00u,	0x00u,	0xF0u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x02u,	0x8Du,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xE8u,	0x15u,	0x34u,	0x00u,	0x02u,	0x7Du,	0x08u,	0x22u,	0x48u,	
	0x02u,	0x88u,	0x14u,	0x20u,	0x40u,	0x02u,	0x78u,	0x14u,	0x34u,	0x40u,	
	0x02u,	0x88u,	0x14u,	0x20u,	0x25u,	0x02u,	0x78u,	0x14u,	0x34u,	0x25u,	
	0x02u,	0xA0u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x98u,	0x00u,	0xF2u,	0x00u,	
	0x02u,	0x8Du,	0x08u,	0x20u,	0x00u,	0x02u,	0x9Du,	0x08u,	0x22u,	0x00u,	
	0x02u,	0x7Du,	0x08u,	0x34u,	0x00u,	0x02u,	0xA5u,	0x08u,	0x22u,	0x00u,	
	0x02u,	0x80u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x90u,	0x00u,	0xF2u,	0x00u,	
	0x02u,	0x85u,	0x08u,	0x20u,	0x08u,	0xFFu,	0xEDu,	0x1Fu,	0x20u,	0x00u,	
	0x02u,	0x85u,	0x08u,	0x20u,	0x25u,	0x02u,	0x80u,	0x00u,	0xE2u,	0x00u,	
	0xFFu,	0xEDu,	0x1Fu,	0x22u,	0x40u,	0x02u,	0xB0u,	0x00u,	0xE2u,	0x00u,	
	0x02u,	0x85u,	0x08u,	0x20u,	0x00u,	0xFFu,	0xE8u,	0x15u,	0x22u,	0x40u,	
	0x02u,	0x80u,	0x14u,	0x30u,	0x48u,	0x02u,	0xB5u,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xE8u,	0x15u,	0x20u,	0x27u,	0x02u,	0xB0u,	0x00u,	0xE2u,	0x00u,	
	0x02u,	0xB0u,	0x00u,	0xC0u,	0x00u,	0x00u,	0x9Fu,	0xFFu,	0x20u,	0x00u,	
	0x02u,	0x68u,	0x00u,	0xE2u,	0x00u,	0x00u,	0xA7u,	0xFFu,	0x20u,	0x00u,	
	0x02u,	0x70u,	0x00u,	0xE2u,	0x00u,	0x02u,	0xDDu,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xE8u,	0x17u,	0x34u,	0x00u,	0x02u,	0xCDu,	0x08u,	0x22u,	0x48u,	
	0x02u,	0xD8u,	0x16u,	0x20u,	0x40u,	0x02u,	0xC8u,	0x16u,	0x34u,	0x40u,	
	0x02u,	0xD8u,	0x16u,	0x20u,	0x25u,	0x02u,	0xC8u,	0x16u,	0x34u,	0x25u,	
	0x02u,	0xF0u,	0x00u,	0xE2u,	0x00u,	0x02u,	0xE8u,	0x00u,	0xF2u,	0x00u,	
	0x02u,	0xDDu,	0x08u,	0x20u,	0x00u,	0x02u,	0xEDu,	0x08u,	0x22u,	0x00u,	
	0x02u,	0xCDu,	0x08u,	0x34u,	0x00u,	0x02u,	0xF5u,	0x08u,	0x22u,	0x00u,	
	0x02u,	0xD0u,	0x00u,	0xE2u,	0x00u,	0x02u,	0xE0u,	0x00u,	0xF2u,	0x00u,	
	0x02u,	0xD5u,	0x08u,	0x20u,	0x08u,	0xFFu,	0xEDu,	0x1Fu,	0x20u,	0x00u,	
	0x02u,	0xD5u,	0x08u,	0x20u,	0x25u,	0x02u,	0xD0u,	0x00u,	0xE2u,	0x00u,	
	0xFFu,	0xEDu,	0x1Fu,	0x22u,	0x40u,	0x03u,	0x00u,	0x00u,	0xE2u,	0x00u,	
	0x02u,	0xD5u,	0x08u,	0x20u,	0x00u,	0xFFu,	0xE8u,	0x17u,	0x22u,	0x40u,	
	0x02u,	0xD0u,	0x16u,	0x30u,	0x48u,	0x03u,	0x05u,	0x08u,	0x20u,	0x00u,	
	0xFFu,	0xE8u,	0x17u,	0x20u,	0x27u,	0x03u,	0x00u,	0x00u,	0xE2u,	0x00u,	
	0x03u,	0x00u,	0x00u,	0xC0u,	0x00u,	0x01u,	0xAFu,	0xFFu,	0x20u,	0x00u,	
	0x02u,	0xB8u,	0x00u,	0xE2u,	0x00u,	0x01u,	0xB7u,	0xFFu,	0x20u,	0x00u,	
	0x02u,	0xC0u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x6Du,	0x08u,	0x20u,	0x00u,	
	0xFDu,	0x60u,	0x00u,	0xE2u,	0x00u,	0x02u,	0x75u,	0x08u,	0x20u,	0x00u,	
	0xFDu,	0x68u,	0x00u,	0xE2u,	0x00u,	0x02u,	0xC5u,	0x08u,	0x20u,	0x00u,	
	0xFDu,	0xB8u,	0x00u,	0xE2u,	0x00u,	0x02u,	0xBDu,	0x08u,	0x20u,	0x00u,	
	0xFDu,	0xB0u,	0x00u,	0xE2u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0xFEu,	0x30u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0xFEu,	0xC0u,	0x0Fu,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u	
	
};

static unsigned char gaConfig_ADAU1761_Param_Data35[96] =
{
	0x00u,	0x00u,	0x10u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x02u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0xFFu,	
	0x00u,	0x02u,	0x22u,	0x26u,	0x00u,	0x80u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x00u,	0xFFu,	0x00u,	0x02u,	0x22u,	0x26u,	0x00u,	0x80u,	0x00u,	0x00u,	
	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x01u,	0x00u,	0x00u,	
	0x10u,	0x00u,	0x00u,	0x80u,	0x00u,	0x00u,	0x00u,	0x00u,	0x00u,	0x01u,	
	0x00u,	0x00u,	0x10u,	0x00u,	0x00u,	0x80u,	0x00u,	0x00u,	0x00u,	0x00u,	
	0x10u,	0x00u,	0x00u,	0x80u,	0x00u,	0x00u	
};

static unsigned char gaConfig_ADAU1761_SampleRate_Data36[1] =
{
	0x01u	
};

static unsigned char gaConfig_ADAU1761_DSPRun_Data37[1] =
{
	0x01u	
};

static unsigned char gaConfig_ADAU1761_DejitterRegister_Data38[1] =
{
	0x00u	
};

static unsigned char gaConfig_ADAU1761_DejitterRegister_Data39[1] =
{
	0x03u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data27[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_LDNSLOTS_Data5[1] =
{
	0x82u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_I2CCFG_Data6[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_I2SGCFG_Data7[1] =
{
	0xE0u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_PDMCTL_Data8[1] =
{
	0x1Cu	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_GPIODAT_Data9[1] =
{
	0x10u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_GPIOOEN_Data10[1] =
{
	0x10u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_PINCFG_Data11[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_INTMSK0_Data12[1] =
{
	0x77u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_INTMSK1_Data13[1] =
{
	0x7Fu	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_BECCTL_Data14[1] =
{
	0xEFu	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_I2SCFG_Data28[1] =
{
	0x91u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_PINCFG_Data29[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_CLK2CFG_Data30[1] =
{
	0x81u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_BECCTL_Data31[1] =
{
	0xFFu	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data32[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_UPSLOTS_Data15[1] =
{
	0x02u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_UPSLOTS_Data33[1] =
{
	0x02u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data34[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BSlaveNode0WCZ_SWCTL_Data16[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_SWCTL_Data35[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data36[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data37[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data38[1] =
{
	0x00u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_SLOTFMT_Data39[1] =
{
	0x66u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_DATCTL_Data40[1] =
{
	0x03u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data41[1] =
{
	0x81u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data42[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data43[1] =
{
	0x01u	
};

static unsigned char gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data44[1] =
{
	0x82u	
};

ADI_A2B_DISCOVERY_CONFIG gaA2BConfig[CONFIG_LEN] =
{

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000012u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data0[0] },	/* CONTROL */
	{0x00u,	DELAY,	0x01u,	0x00000000u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data1[0] },	/* A2B_Delay */
	{0x68u,	READ,	0x01u,	0x00000017u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTTYPE_Data2[0] },	/* INTTYPE */
	{0x68u,	WRITE,	0x01u,	0x0000001Bu,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTMSK0_Data3[0] },	/* INTMSK0 */
	{0x68u,	WRITE,	0x01u,	0x0000001Cu,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTMSK1_Data4[0] },	/* INTMSK1 */
	{0x68u,	WRITE,	0x01u,	0x0000001Du,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTMSK2_Data5[0] },	/* INTMSK2 */
	{0x68u,	WRITE,	0x01u,	0x0000001Eu,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_BECCTL_Data6[0] },	/* BECCTL */
	{0x68u,	WRITE,	0x01u,	0x0000001Au,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTPND2_Data7[0] },	/* INTPND2 */
	{0x68u,	WRITE,	0x01u,	0x0000000Fu,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_RESPCYCS_Data8[0] },	/* RESPCYCS */
	{0x68u,	WRITE,	0x01u,	0x00000012u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data9[0] },	/* CONTROL */
	{0x00u,	DELAY,	0x01u,	0x00000000u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data10[0] },	/* A2B_Delay */
	{0x68u,	WRITE,	0x01u,	0x00000041u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_I2SGCFG_Data11[0] },	/* I2SGCFG */
	{0x68u,	WRITE,	0x01u,	0x00000009u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_SWCTL_Data12[0] },	/* SWCTL */
	{0x68u,	WRITE,	0x01u,	0x00000013u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_DISCVRY_Data13[0] },	/* DISCVRY */
	{0x00u,	DELAY,	0x01u,	0x00000000u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data14[0] },	/* A2B_Delay */
	{0x68u,	READ,	0x01u,	0x00000017u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTTYPE_Data15[0] },	/* INTTYPE */
	{0x68u,	WRITE,	0x01u,	0x00000009u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_SWCTL_Data16[0] },	/* SWCTL */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data17[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node0 WCZ --*/
	{0x69u,	READ,	0x01u,	0x00000002u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_VENDOR_Data0[0] },	/* VENDOR */
	{0x69u,	READ,	0x01u,	0x00000003u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_PRODUCT_Data1[0] },	/* PRODUCT */
	{0x69u,	READ,	0x01u,	0x00000004u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_VERSION_Data2[0] },	/* VERSION */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data18[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node0 WCZ --*/
	{0x69u,	WRITE,	0x01u,	0x00000009u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_SWCTL_Data3[0] },	/* SWCTL */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000013u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_DISCVRY_Data19[0] },	/* DISCVRY */
	{0x00u,	DELAY,	0x01u,	0x00000000u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data20[0] },	/* A2B_Delay */
	{0x68u,	READ,	0x01u,	0x00000017u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_INTTYPE_Data21[0] },	/* INTTYPE */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data22[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node0 WCZ --*/
	{0x69u,	WRITE,	0x01u,	0x00000009u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_SWCTL_Data4[0] },	/* SWCTL */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data23[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node1 WBZ  --*/
	{0x69u,	READ,	0x01u,	0x00000002u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_VENDOR_Data0[0] },	/* VENDOR */
	{0x69u,	READ,	0x01u,	0x00000003u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_PRODUCT_Data1[0] },	/* PRODUCT */
	{0x69u,	READ,	0x01u,	0x00000004u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_VERSION_Data2[0] },	/* VERSION */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data24[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node1 WBZ  --*/
	{0x69u,	WRITE,	0x01u,	0x0000000Bu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_LDNSLOTS_Data3[0] },	/* LDNSLOTS */
	{0x69u,	WRITE,	0x01u,	0x0000000Cu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_LUPSLOTS_Data4[0] },	/* LUPSLOTS */
	{0x69u,	WRITE,	0x01u,	0x0000003Fu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_I2CCFG_Data5[0] },	/* I2CCFG */
	{0x69u,	WRITE,	0x01u,	0x00000041u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_I2SGCFG_Data6[0] },	/* I2SGCFG */
	{0x69u,	WRITE,	0x01u,	0x00000042u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_I2SCFG_Data7[0] },	/* I2SCFG */
	{0x69u,	WRITE,	0x01u,	0x00000047u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_PDMCTL_Data8[0] },	/* PDMCTL */
	{0x69u,	WRITE,	0x01u,	0x0000004Au,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_GPIODAT_Data9[0] },	/* GPIODAT */
	{0x69u,	WRITE,	0x01u,	0x0000004Du,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_GPIOOEN_Data10[0] },	/* GPIOOEN */
	{0x69u,	WRITE,	0x01u,	0x00000052u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_PINCFG_Data11[0] },	/* PINCFG */
	{0x69u,	WRITE,	0x01u,	0x0000005Au,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_CLK2CFG_Data12[0] },	/* CLK2CFG */
	{0x69u,	WRITE,	0x01u,	0x00000065u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_DNMASK0_Data13[0] },	/* DNMASK0 */
	{0x69u,	WRITE,	0x01u,	0x0000001Bu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_INTMSK0_Data14[0] },	/* INTMSK0 */
	{0x69u,	WRITE,	0x01u,	0x0000001Cu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_INTMSK1_Data15[0] },	/* INTMSK1 */
	{0x69u,	WRITE,	0x01u,	0x0000001Eu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_BECCTL_Data16[0] },	/* BECCTL */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADRSet_Data25[0] },	/* NODEADR - Set the node address */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node1 WBZ  --*/
	{0x69u,	WRITE,	0x01u,	0x00000000u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode1WBZ_CHIPSet_Data17[0] },	/* CHIP - Set the chip address */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADREnable_Data26[0] },	/* NODEADR - Enable PERI */

	/*-- COMMANDS FOR DEVICE - ADAU1761 --*/
	{0x69u,	WRITE,	0x02u,	0x00000000u,	0x01u,	0x0004u,	&gaConfig_ADAU1761_NonModRamAlloc_Data0[0] },	/* NonModRamAlloc */
	{0x69u,	WRITE,	0x02u,	0x000040EBu,	0x01u,	0x0001u,	&gaConfig_ADAU1761_SampleRate_Data1[0] },	/* Sample Rate Setting */
	{0x69u,	WRITE,	0x02u,	0x000040F6u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_DSPRun_Data2[0] },	/* DSP Run Register */
	{0x69u,	WRITE,	0x02u,	0x00004000u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_ClockControl_Data3[0] },	/* Clock Control Register */
	{0x69u,	WRITE,	0x02u,	0x00004002u,	0x01u,	0x0006u,	&gaConfig_ADAU1761_PLLControl_Data4[0] },	/* PLL Control Register */
	{0x00u,	DELAY,	0x02u,	0x00000000u,	0x01u,	0x0002u,	&gaConfig_ADAU1761_Delay_Data5[0] },	/* Delay */
	{0x69u,	WRITE,	0x02u,	0x00004015u,	0x01u,	0x0002u,	&gaConfig_ADAU1761_SerialPort_Data6[0] },	/* Serial Port Control Registers */
	{0x69u,	WRITE,	0x02u,	0x00004011u,	0x01u,	0x0004u,	&gaConfig_ADAU1761_ALCControl_Data7[0] },	/* ALC Control Registers */
	{0x69u,	WRITE,	0x02u,	0x00004008u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_MicrophoneControl_Data8[0] },	/* Microphone Control Register */
	{0x69u,	WRITE,	0x02u,	0x00004009u,	0x01u,	0x0008u,	&gaConfig_ADAU1761_RecordInput_Data9[0] },	/* Record Input Signal Path Registers */
	{0x69u,	WRITE,	0x02u,	0x00004019u,	0x01u,	0x0003u,	&gaConfig_ADAU1761_ADCControl_Data10[0] },	/* ADC Control Registers */
	{0x69u,	WRITE,	0x02u,	0x0000401Cu,	0x01u,	0x000Eu,	&gaConfig_ADAU1761_PlaybackOutput_Data11[0] },	/* Playback Output Signal Path Registers */
	{0x69u,	WRITE,	0x02u,	0x00004017u,	0x01u,	0x0002u,	&gaConfig_ADAU1761_ConverterControl_Data12[0] },	/* Converter Control Registers */
	{0x69u,	WRITE,	0x02u,	0x0000402Au,	0x01u,	0x0003u,	&gaConfig_ADAU1761_DACControl_Data13[0] },	/* DAC Control Registers */
	{0x69u,	WRITE,	0x02u,	0x0000402Du,	0x01u,	0x0001u,	&gaConfig_ADAU1761_SerialPort_Data14[0] },	/* Serial Port Pad Control Registers */
	{0x69u,	WRITE,	0x02u,	0x0000402Fu,	0x01u,	0x0002u,	&gaConfig_ADAU1761_CommunicationPort_Data15[0] },	/* Communication Port Pad Control Registers */
	{0x69u,	WRITE,	0x02u,	0x00004031u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_JackDetect_Data16[0] },	/* Jack Detect Pad Control Register */
	{0x69u,	WRITE,	0x02u,	0x00000800u,	0x01u,	0x03FCu,	&gaConfig_ADAU1761_ProgramClear_Data17[0] },	/* Program Clear Block 0 */
	{0x69u,	WRITE,	0x02u,	0x000008CCu,	0x01u,	0x03FCu,	&gaConfig_ADAU1761_ProgramClear_Data18[0] },	/* Program Clear Block 1 */
	{0x69u,	WRITE,	0x02u,	0x00000998u,	0x01u,	0x03FCu,	&gaConfig_ADAU1761_ProgramClear_Data19[0] },	/* Program Clear Block 2 */
	{0x69u,	WRITE,	0x02u,	0x00000A64u,	0x01u,	0x03FCu,	&gaConfig_ADAU1761_ProgramClear_Data20[0] },	/* Program Clear Block 3 */
	{0x69u,	WRITE,	0x02u,	0x00000BFCu,	0x01u,	0x000Fu,	&gaConfig_ADAU1761_ProgramClear_Data21[0] },	/* Program Clear Block 4 */
	{0x69u,	WRITE,	0x02u,	0x000040F5u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_DSPON_Data22[0] },	/* DSP ON Register */
	{0x69u,	WRITE,	0x02u,	0x000040C0u,	0x01u,	0x0005u,	&gaConfig_ADAU1761_CRCRegisters_Data23[0] },	/* CRC Registers */
	{0x69u,	WRITE,	0x02u,	0x000040C6u,	0x01u,	0x0004u,	&gaConfig_ADAU1761_GPIORegisters_Data24[0] },	/* GPIO Registers */
	{0x69u,	WRITE,	0x02u,	0x000040E9u,	0x01u,	0x0002u,	&gaConfig_ADAU1761_NonModulo_Data25[0] },	/* Non Modulo Registers */
	{0x69u,	WRITE,	0x02u,	0x000040D0u,	0x01u,	0x0005u,	&gaConfig_ADAU1761_WatchdogRegisters_Data26[0] },	/* Watchdog Registers */
	{0x69u,	WRITE,	0x02u,	0x000040EBu,	0x01u,	0x0001u,	&gaConfig_ADAU1761_SamplingRate_Data27[0] },	/* Sampling Rate Setting Register */
	{0x69u,	WRITE,	0x02u,	0x000040F2u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_RoutingMatrix_Data28[0] },	/* Routing Matrix Inputs Register */
	{0x69u,	WRITE,	0x02u,	0x000040F3u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_RoutingMatrix_Data29[0] },	/* Routing Matrix Outputs Register */
	{0x69u,	WRITE,	0x02u,	0x000040F4u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_SerialData_Data30[0] },	/* Serial Data Configuration Register */
	{0x69u,	WRITE,	0x02u,	0x000040F7u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_DSPSlew_Data31[0] },	/* DSP Slew Mode Register */
	{0x69u,	WRITE,	0x02u,	0x000040F8u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_SerialPort_Data32[0] },	/* Serial Port Sample Rate Register */
	{0x69u,	WRITE,	0x02u,	0x000040F9u,	0x01u,	0x0002u,	&gaConfig_ADAU1761_ClockEnable_Data33[0] },	/* Clock Enable Registers */
	{0x69u,	WRITE,	0x02u,	0x00000800u,	0x01u,	0x06C2u,	&gaConfig_ADAU1761_ProgramData_Data34[0] },	/* Program Data */
	{0x69u,	WRITE,	0x02u,	0x00000000u,	0x01u,	0x0060u,	&gaConfig_ADAU1761_Param_Data35[0] },	/* Param */
	{0x69u,	WRITE,	0x02u,	0x000040EBu,	0x01u,	0x0001u,	&gaConfig_ADAU1761_SampleRate_Data36[0] },	/* Sample Rate Setting */
	{0x69u,	WRITE,	0x02u,	0x000040F6u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_DSPRun_Data37[0] },	/* DSP Run Register */
	{0x69u,	WRITE,	0x02u,	0x00004036u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_DejitterRegister_Data38[0] },	/* Dejitter Register Control */
	{0x69u,	WRITE,	0x02u,	0x00004036u,	0x01u,	0x0001u,	&gaConfig_ADAU1761_DejitterRegister_Data39[0] },	/* Dejitter Register Control */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data27[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node0 WCZ --*/
	{0x69u,	WRITE,	0x01u,	0x0000000Bu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_LDNSLOTS_Data5[0] },	/* LDNSLOTS */
	{0x69u,	WRITE,	0x01u,	0x0000003Fu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_I2CCFG_Data6[0] },	/* I2CCFG */
	{0x69u,	WRITE,	0x01u,	0x00000041u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_I2SGCFG_Data7[0] },	/* I2SGCFG */
	{0x69u,	WRITE,	0x01u,	0x00000047u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_PDMCTL_Data8[0] },	/* PDMCTL */
	{0x69u,	WRITE,	0x01u,	0x0000004Au,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_GPIODAT_Data9[0] },	/* GPIODAT */
	{0x69u,	WRITE,	0x01u,	0x0000004Du,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_GPIOOEN_Data10[0] },	/* GPIOOEN */
	{0x69u,	WRITE,	0x01u,	0x00000052u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_PINCFG_Data11[0] },	/* PINCFG */
	{0x69u,	WRITE,	0x01u,	0x0000001Bu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_INTMSK0_Data12[0] },	/* INTMSK0 */
	{0x69u,	WRITE,	0x01u,	0x0000001Cu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_INTMSK1_Data13[0] },	/* INTMSK1 */
	{0x69u,	WRITE,	0x01u,	0x0000001Eu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_BECCTL_Data14[0] },	/* BECCTL */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000042u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_I2SCFG_Data28[0] },	/* I2SCFG */
	{0x68u,	WRITE,	0x01u,	0x00000052u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_PINCFG_Data29[0] },	/* PINCFG */
	{0x68u,	WRITE,	0x01u,	0x0000005Au,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_CLK2CFG_Data30[0] },	/* CLK2CFG */
	{0x68u,	WRITE,	0x01u,	0x0000001Eu,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_BECCTL_Data31[0] },	/* BECCTL */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data32[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node0 WCZ --*/
	{0x69u,	WRITE,	0x01u,	0x0000000Eu,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_UPSLOTS_Data15[0] },	/* UPSLOTS */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x0000000Eu,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_UPSLOTS_Data33[0] },	/* UPSLOTS */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data34[0] },	/* NODEADR */

	/*-- COMMANDS FOR DEVICE - A2B Slave Node0 WCZ --*/
	{0x69u,	WRITE,	0x01u,	0x00000009u,	0x01u,	0x0001u,	&gaConfig_A2BSlaveNode0WCZ_SWCTL_Data16[0] },	/* SWCTL */

	/*-- COMMANDS FOR DEVICE - A2B Master Node0 58x EZ Board --*/
	{0x68u,	WRITE,	0x01u,	0x00000009u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_SWCTL_Data35[0] },	/* SWCTL */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data36[0] },	/* NODEADR */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data37[0] },	/* NODEADR */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data38[0] },	/* NODEADR */
	{0x68u,	WRITE,	0x01u,	0x00000010u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_SLOTFMT_Data39[0] },	/* SLOTFMT */
	{0x68u,	WRITE,	0x01u,	0x00000011u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_DATCTL_Data40[0] },	/* DATCTL */
	{0x68u,	WRITE,	0x01u,	0x00000012u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data41[0] },	/* CONTROL */
	{0x00u,	DELAY,	0x01u,	0x00000000u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_A2BDelay_Data42[0] },	/* A2B_Delay */
	{0x68u,	WRITE,	0x01u,	0x00000001u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_NODEADR_Data43[0] },	/* NODEADR */
	{0x68u,	WRITE,	0x01u,	0x00000012u,	0x01u,	0x0001u,	&gaConfig_A2BMasterNode058xEZBoard_CONTROL_Data44[0] },	/* CONTROL */
};

#endif /* _ADI_A2B_CMD_LIST_H_ */

