/*=============================================================================
 *
 * Project: a2bstack
 *
 * Copyright (c) 2015 - Analog Devices Inc. All Rights Reserved. 
 * This software is subject to the terms and conditions of the license set 
 * forth in the project LICENSE file. Downloading, reproducing, distributing or 
 * otherwise using the software constitutes acceptance of the license. The 
 * software may not be used except as expressly authorized under the license.
 *
 *=============================================================================
 *
 * \file:   a2b.h
 * \author: Mentor Graphics, Embedded Software Division
 * \brief:  Single header to include all public A2B stack definition and
 *          prototypes.
 *
 *=============================================================================
 */

#ifndef A2B_A2B_H_
#define A2B_A2B_H_

/*======================= I N C L U D E S =========================*/

#include "a2b/macros.h"
#include "a2b/ctypes.h"
#include "a2b/defs.h"
#include "a2b/error.h"
#include "a2b/ecb.h"
#include "a2b/system.h"
#include "a2b/pal.h"
#include "a2b/stack.h"
#include "a2b/pluginapi.h"
#include "a2b/interrupt.h"
#include "a2b/tracectl.h"
#include "a2b/trace.h"
#include "a2b/seqchartctl.h"
#include "a2b/seqchart.h"
#include "a2b/stringbuffer.h"
#include "a2b/util.h"
#include "a2b/i2c.h"
#include "a2b/gpio.h"
#include "a2b/diag.h"
#include "a2b/timer.h"
#include "a2b/msg.h"
#include "a2b/msgtypes.h"
#include "a2b/msgrtr.h"
#include "a2b/regdefs.h"
#include "a2b/stackctxmailbox.h"
#include "a2b/stackversion.h"

/*======================= D E F I N E S ===========================*/

/*======================= D A T A T Y P E S =======================*/

/*======================= P U B L I C  P R O T O T Y P E S ========*/

/*======================= D A T A =================================*/

#endif /* A2B_A2B_H_ */
