/*******************************************************************************
Copyright (c) 2014 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.
******************************************************************************
* @file: adi_a2b_datatypes.h
* @brief: This file contains typoedefs for basic data types used in A2B framework
* @date: $Date: 2021-06-28 08:51:38 -0400 (Mon, 28 Jun 2021) $
* Developed by: Automotive Software and Systems team, Bangalore, India
*****************************************************************************/

/*! \addtogroup Basic_Types Basic Types
* @{
*/

#ifndef _ADI_A2B_DATA_TYPES_H_
#define _ADI_A2B_DATA_TYPES_H_

/*============= I N C L U D E S =============*/
#include "a2b/ctypes.h"
/*============= D E F I N E S =============*/

/*! Internal memory code sections */
#define A2B_L1_CODE   
/*! External memory code sections */
#define A2B_L3_CODE   
/*! Internal memory data sections */
#define A2B_L1_DATA   
/*! External memory data sections */
#define A2B_L3_DATA   
/*! Graph data section  */
#define ADI_A2B_MEM_BCF_DATA  
/*! Graph data section  */
#define ADI_A2B_MEM_GRAPH_DATA   
/*! Peripheral data  section  */
#define ADI_A2B_MEM_PERI_CONFIG_DATA 
/*! Peripheral configuration section  */
#define ADI_A2B_MEM_PERI_CONFIG_UNIT 
#define ADI_A2B_MEM_PERI_CONFIG_CONST_DATA const
#define ADI_A2B_MEM_BCF_CONST_DATA const

/* Storage classes */

#define STATIC          static

#define EXTERN          extern

#define VOLATILE        volatile

#define REGISTER        register

#define NULL_PTR        ((void *)0)


/*============= D A T A T Y P E S=============*/

typedef unsigned short uint16;

typedef unsigned int uint32;

typedef unsigned long long uint64;

typedef unsigned char uint8;

typedef short int16;

typedef long int32;

typedef long long int64;

typedef signed char int8;

/* Boolean */
#define TRUE  (1)

#define FALSE (0)

/*======= P U B L I C P R O T O T Y P E S ========*/



#endif /* _ADI_A2B_FRAMEWORK_H_ */

/** 
 @}
*/

/*
*
* EOF: $URL: https://dspeng.spd.analog.com/svn/sqe/stage/auto/a2bstacklinux/branches/19.9.0/kit/Target/examples/demo/a2b-linux/a2b-adsp-sc589-mini-linux/a2b-app-linux_Core0/inc/adi_a2b_datatypes.h $
*
*/

