/*=============================================================================
 *
 * Project: a2bstack
 *
 * Copyright (c) 2015 - Analog Devices Inc. All Rights Reserved.
 * This software is subject to the terms and conditions of the license set 
 * forth in the project LICENSE file. Downloading, reproducing, distributing or 
 * otherwise using the software constitutes acceptance of the license. The 
 * software may not be used except as expressly authorized under the license.
 *
 *=============================================================================
 *
 * \file:   pal_info.h
 * \author: Mentor Graphics, Embedded Software Division
 * \brief:  This is the definition of the platform version/build information
 *          API.
 *
 *=============================================================================
 */

/*============================================================================*/
/** 
 * \defgroup a2bstack_pal_info          PAL Info Module 
 *  
 * This is the definition of the platform version/build information API.
 *  
 * \{ */
/*============================================================================*/

#ifndef A2B_PAL_INFO_H_
#define A2B_PAL_INFO_H_

/*======================= I N C L U D E S =========================*/

#include "a2b/macros.h"
#include "a2b/ctypes.h"

/*======================= D E F I N E S ===========================*/

/*======================= D A T A T Y P E S =======================*/

A2B_BEGIN_DECLS

/*======================= P U B L I C  P R O T O T Y P E S ========*/


A2B_EXPORT A2B_DSO_LOCAL void pal_infoGetVersion(a2b_UInt32* major,
                                                 a2b_UInt32* minor,
                                                 a2b_UInt32* release);

A2B_EXPORT A2B_DSO_LOCAL void pal_infoGetBuild(a2b_UInt32* buildNum,
                                const a2b_Char** const buildDate,
                                const a2b_Char** const buildOwner,
                                const a2b_Char** const buildSrcRev,
                                const a2b_Char** const buildHost);


A2B_END_DECLS

/*======================= D A T A =================================*/

/** \} -- a2bstack_pal_info */

#endif /* A2B_PAL_INFO_H_ */
