/*
 * File:           C:\Analog Devices\ADI_A2B_Software-Rel19.4.0\Target\examples\demo\a2b-adsp-sc589-mini\a2bstack-pal\platform\sharc_audio_module\configurations\ss_schematics\ADAU1761_ADAU1761_2ch_i2s_master\Exported_init_files\ADAU1761_2ch_i2s_master_ADAU1761_PARAM.h
 *
 * Created:        Monday, March 1, 2021 1:02:00 PM
 * Description:    ADAU1761_2ch_i2s_master:ADAU1761 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright ©2021 Analog Devices, Inc. All rights reserved.
 */
#ifndef __ADAU1761_2CH_I2S_MASTER_ADAU1761_PARAM_H__
#define __ADAU1761_2CH_I2S_MASTER_ADAU1761_PARAM_H__


/* Module Modulo Size - Modulo Size*/
#define MOD_MODULOSIZE_COUNT                           1
#define MOD_MODULOSIZE_DEVICE                          "ADAU1761"
#define MOD_MODULOSIZE_MODULO_SIZE_ADDR                0
#define MOD_MODULOSIZE_MODULO_SIZE_FIXPT               0x00001000
#define MOD_MODULOSIZE_MODULO_SIZE_VALUE               SIGMASTUDIOTYPE_INTEGER_CONVERT(4096)
#define MOD_MODULOSIZE_MODULO_SIZE_TYPE                SIGMASTUDIOTYPE_INTEGER

/* Module DC1 - DC Input Entry*/
#define MOD_DC1_COUNT                                  1
#define MOD_DC1_DEVICE                                 "ADAU1761"
#define MOD_DC1_DCINPALG1_ADDR                         8
#define MOD_DC1_DCINPALG1_FIXPT                        0x01800000
#define MOD_DC1_DCINPALG1_VALUE                        SIGMASTUDIOTYPE_FIXPOINT_CONVERT(3)
#define MOD_DC1_DCINPALG1_TYPE                         SIGMASTUDIOTYPE_FIXPOINT

/* Module Tone1_2 - Sine Tone*/
#define MOD_TONE1_2_COUNT                              3
#define MOD_TONE1_2_DEVICE                             "ADAU1761"
#define MOD_STATIC_TONE1_2_ALG0_MASK_ADDR              9
#define MOD_STATIC_TONE1_2_ALG0_MASK_FIXPT             0x000000FF
#define MOD_STATIC_TONE1_2_ALG0_MASK_VALUE             SIGMASTUDIOTYPE_INTEGER_CONVERT(255)
#define MOD_STATIC_TONE1_2_ALG0_MASK_TYPE              SIGMASTUDIOTYPE_INTEGER
#define MOD_TONE1_2_ALG0_INCREMENT_ADDR                10
#define MOD_TONE1_2_ALG0_INCREMENT_FIXPT               0x00022225
#define MOD_TONE1_2_ALG0_INCREMENT_VALUE               SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.0166670833333333)
#define MOD_TONE1_2_ALG0_INCREMENT_TYPE                SIGMASTUDIOTYPE_FIXPOINT
#define MOD_TONE1_2_ALG0_ON_ADDR                       11
#define MOD_TONE1_2_ALG0_ON_FIXPT                      0x00000000
#define MOD_TONE1_2_ALG0_ON_VALUE                      SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_TONE1_2_ALG0_ON_TYPE                       SIGMASTUDIOTYPE_FIXPOINT

/* Module Tone1_3 - Sine Tone*/
#define MOD_TONE1_3_COUNT                              3
#define MOD_TONE1_3_DEVICE                             "ADAU1761"
#define MOD_STATIC_TONE1_3_ALG0_MASK_ADDR              12
#define MOD_STATIC_TONE1_3_ALG0_MASK_FIXPT             0x000000FF
#define MOD_STATIC_TONE1_3_ALG0_MASK_VALUE             SIGMASTUDIOTYPE_INTEGER_CONVERT(255)
#define MOD_STATIC_TONE1_3_ALG0_MASK_TYPE              SIGMASTUDIOTYPE_INTEGER
#define MOD_TONE1_3_ALG0_INCREMENT_ADDR                13
#define MOD_TONE1_3_ALG0_INCREMENT_FIXPT               0x00022225
#define MOD_TONE1_3_ALG0_INCREMENT_VALUE               SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.0166670833333333)
#define MOD_TONE1_3_ALG0_INCREMENT_TYPE                SIGMASTUDIOTYPE_FIXPOINT
#define MOD_TONE1_3_ALG0_ON_ADDR                       14
#define MOD_TONE1_3_ALG0_ON_FIXPT                      0x00800000
#define MOD_TONE1_3_ALG0_ON_VALUE                      SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_TONE1_3_ALG0_ON_TYPE                       SIGMASTUDIOTYPE_FIXPOINT

/* Module ReadBack1 - DSP Readback*/
#define MOD_READBACK1_COUNT                            1
#define MOD_READBACK1_DEVICE                           "ADAU1761"
#define MOD_READBACK1_READBACKALGSIGMA2001_ADDR        15
#define MOD_READBACK1_READBACKALGSIGMA2001_FIXPT       0x00000000
#define MOD_READBACK1_READBACKALGSIGMA2001_VALUE       SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_READBACK1_READBACKALGSIGMA2001_TYPE        SIGMASTUDIOTYPE_FIXPOINT

/* Module Nx2-1_3 - Stereo Switch Nx2*/
#define MOD_NX2_1_3_COUNT                              1
#define MOD_NX2_1_3_DEVICE                             "ADAU1761"
#define MOD_NX2_1_3_STEREOSWSLEW_ADDR                  16
#define MOD_NX2_1_3_STEREOSWSLEW_FIXPT                 0x00000001
#define MOD_NX2_1_3_STEREOSWSLEW_VALUE                 SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_NX2_1_3_STEREOSWSLEW_TYPE                  SIGMASTUDIOTYPE_INTEGER

/* Module Single 1_3 - Single Volume Shared*/
#define MOD_SINGLE1_3_COUNT                            2
#define MOD_SINGLE1_3_DEVICE                           "ADAU1761"
#define MOD_SINGLE1_3_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP1_ADDR 17
#define MOD_SINGLE1_3_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP1_FIXPT 0x00001000
#define MOD_SINGLE1_3_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP1_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.00048828125)
#define MOD_SINGLE1_3_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP1_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_3_ALG0_TARGETGAINS200ALGGROWDBSTEP1_ADDR 18
#define MOD_SINGLE1_3_ALG0_TARGETGAINS200ALGGROWDBSTEP1_FIXPT 0x00800000
#define MOD_SINGLE1_3_ALG0_TARGETGAINS200ALGGROWDBSTEP1_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_SINGLE1_3_ALG0_TARGETGAINS200ALGGROWDBSTEP1_TYPE SIGMASTUDIOTYPE_FIXPOINT

/* Module 1 X RTA1 - Single Level Detector*/
#define MOD_1XRTA1_COUNT                               4
#define MOD_1XRTA1_DEVICE                              "ADAU1761"
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001TCONST_ADDR 19
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001TCONST_FIXPT 0x00004EB0
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001TCONST_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.00240140490349172)
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001TCONST_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001HOLD_ADDR 20
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001HOLD_FIXPT 0x000001E0
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001HOLD_VALUE SIGMASTUDIOTYPE_INTEGER_CONVERT(480)
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001HOLD_TYPE SIGMASTUDIOTYPE_INTEGER
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001DECAY_ADDR 21
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001DECAY_FIXPT 0x0000071C
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001DECAY_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.000217013888888889)
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001DECAY_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001_ADDR   22
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001_VALUE  SIGMASTUDIOTYPE_10_18_CONVERT(0)
#define MOD_1XRTA1_ALG0_SINGLEBANDLEVELDETS2001_TYPE   SIGMASTUDIOTYPE_10_18

/* Module 1 X RTA2 - Single Level Detector*/
#define MOD_1XRTA2_COUNT                               4
#define MOD_1XRTA2_DEVICE                              "ADAU1761"
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002TCONST_ADDR 23
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002TCONST_FIXPT 0x00004EB0
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002TCONST_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.00240140490349172)
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002TCONST_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002HOLD_ADDR 24
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002HOLD_FIXPT 0x000001E0
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002HOLD_VALUE SIGMASTUDIOTYPE_INTEGER_CONVERT(480)
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002HOLD_TYPE SIGMASTUDIOTYPE_INTEGER
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002DECAY_ADDR 25
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002DECAY_FIXPT 0x0000071C
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002DECAY_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.000217013888888889)
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002DECAY_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002_ADDR   26
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002_VALUE  SIGMASTUDIOTYPE_10_18_CONVERT(0)
#define MOD_1XRTA2_ALG0_SINGLEBANDLEVELDETS2002_TYPE   SIGMASTUDIOTYPE_10_18

/* Module Nx2-1_2 - Stereo Switch Nx2*/
#define MOD_NX2_1_2_COUNT                              1
#define MOD_NX2_1_2_DEVICE                             "ADAU1761"
#define MOD_NX2_1_2_STEREOSWSLEW_ADDR                  27
#define MOD_NX2_1_2_STEREOSWSLEW_FIXPT                 0x00000001
#define MOD_NX2_1_2_STEREOSWSLEW_VALUE                 SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_NX2_1_2_STEREOSWSLEW_TYPE                  SIGMASTUDIOTYPE_INTEGER

/* Module Single 1_4 - Single Volume Shared*/
#define MOD_SINGLE1_4_COUNT                            2
#define MOD_SINGLE1_4_DEVICE                           "ADAU1761"
#define MOD_SINGLE1_4_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP3_ADDR 28
#define MOD_SINGLE1_4_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP3_FIXPT 0x00001000
#define MOD_SINGLE1_4_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP3_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.00048828125)
#define MOD_SINGLE1_4_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP3_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_4_ALG0_TARGETGAINS200ALGGROWDBSTEP3_ADDR 29
#define MOD_SINGLE1_4_ALG0_TARGETGAINS200ALGGROWDBSTEP3_FIXPT 0x00800000
#define MOD_SINGLE1_4_ALG0_TARGETGAINS200ALGGROWDBSTEP3_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_SINGLE1_4_ALG0_TARGETGAINS200ALGGROWDBSTEP3_TYPE SIGMASTUDIOTYPE_FIXPOINT

/* Module Single 1_2 - Single Volume Shared*/
#define MOD_SINGLE1_2_COUNT                            2
#define MOD_SINGLE1_2_DEVICE                           "ADAU1761"
#define MOD_SINGLE1_2_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP2_ADDR 30
#define MOD_SINGLE1_2_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP2_FIXPT 0x00001000
#define MOD_SINGLE1_2_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP2_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.00048828125)
#define MOD_SINGLE1_2_ALG0_APPROXFACTORGAINS200ALGGROWDBSTEP2_TYPE SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SINGLE1_2_ALG0_TARGETGAINS200ALGGROWDBSTEP2_ADDR 31
#define MOD_SINGLE1_2_ALG0_TARGETGAINS200ALGGROWDBSTEP2_FIXPT 0x00800000
#define MOD_SINGLE1_2_ALG0_TARGETGAINS200ALGGROWDBSTEP2_VALUE SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_SINGLE1_2_ALG0_TARGETGAINS200ALGGROWDBSTEP2_TYPE SIGMASTUDIOTYPE_FIXPOINT

#endif
