/*
 * Copyright (c) 2019 Analog Devices, Inc.  All rights reserved.
 *
 * Adapted from the SAM Bare-Metal ("BM") SDK Rel 2.1.0
 *
 * @file	adau1761_configurations.c
 * @brief   Prepares the ADAU1761 configuration data payload to be sent over TWI/I2C
 */

#include "../driver.h"

// ADAU1761 Master I2S/50% 2 Channel Configuration
uint8_t ADAU1761_master_i2s_2ch_TxBuffer[] = {
#include "../Exported_init_files/TxBuffer_ADAU1761.dat"
};

uint16_t ADAU1761_master_i2s_2ch_NumBytes[] = {
#include "../Exported_init_files/NumBytes_ADAU1761.dat"
};

BM_ADAU_DEVICE_INIT_DATA adau1761_2ch_i2s_master = {.data_tx_buffer = ADAU1761_master_i2s_2ch_TxBuffer,
                                                    .data_num_bytes = ADAU1761_master_i2s_2ch_NumBytes,
                                                    .total_lines = sizeof(ADAU1761_master_i2s_2ch_NumBytes) / sizeof(uint16_t),
                                                    .ignore_first_byte_of_init_file = false};
