/*******************************************************************************
Copyright (c) 2021 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.
*****************************************************************************/

#ifndef __A2BAPP_CODAC_INIT_H__
#define __A2BAPP_CODAC_INIT_H__
/*============= I N C L U D E S =============*/
#include "a2b/ctypes.h"
/*======================= L O C A L  P R O T O T Y P E S  =========*/
void* ADC_DAC_I2C_OPEN(void);
a2b_HResult SWITCH_CONFIG(void*);
a2b_HResult ADAU_1962_init(void*);
a2b_HResult ADAU_1979_init(void*);
a2b_HResult ADC_DAC_I2C_CLOSE(void*);
/*============= D E F I N E S =============*/
/* Add your custom header content here */
#define ADAU1962_PLL_CTL_CTRL0			0x00
#define ADAU1962_PLL_CTL_CTRL1			0x01
#define ADAU1962_PDN_CTRL_1 			0x02
#define ADAU1962_PDN_CTRL_2			    0x03
#define ADAU1962_PDN_CTRL_3 			0x04
#define ADAU1962_TEMP_STAT  			0x05
#define ADAU1962_DAC_CTRL0  			0x06
#define ADAU1962_DAC_CTRL1   			0x07
#define ADAU1962_DAC_CTRL2  			0x08
#define ADAU1962_DAC_MUTE1			    0x09
#define ADAU1962_DAC_MUTE2  			0x0a
#define ADAU1962_MSTR_VOL   			0x0b
#define ADAU1962_DAC1_VOL   			0x0c
#define ADAU1962_DAC2_VOL			    0x0d
#define ADAU1962_DAC3_VOL				0x0e
#define ADAU1962_DAC4_VOL			    0x0f
#define ADAU1962_DAC5_VOL			    0x10
#define ADAU1962_DAC6_VOL			    0x11
#define ADAU1962_DAC7_VOL			    0x12
#define ADAU1962_DAC8_VOL	     		0x13
#define ADAU1962_DAC9_VOL   			0x14
#define ADAU1962_DAC10_VOL			    0x15
#define ADAU1962_DAC11_VOL			    0x16
#define ADAU1962_DAC12_VOL			    0x17
#define ADAU1962_PAD_STRGTH			    0x1C
#define ADAU1962_DAC_PWR1			    0x1D
#define ADAU1962_DAC_PWR2			    0x1E
#define ADAU1962_DAC_PWR3			    0x1F

#define ADAU1979_REG_POWER					0x00
#define ADAU1979_REG_PLL					0x01
#define ADAU1979_REG_BOOST					0x02
#define ADAU1979_REG_MICBIAS				0x03
#define ADAU1979_REG_BLOCK_POWER_SAI		0x04
#define ADAU1979_REG_SAI_CTRL0				0x05
#define ADAU1979_REG_SAI_CTRL1				0x06
#define ADAU1979_REG_CMAP12					0x07
#define ADAU1979_REG_CMAP34					0x08
#define ADAU1979_REG_SAI_OVERTEMP			0x09
#define ADAU1979_REG_POST_ADC_GAIN1 		0x0a
#define ADAU1979_REG_POST_ADC_GAIN2 		0x0b
#define ADAU1979_REG_POST_ADC_GAIN3 		0x0c
#define ADAU1979_REG_POST_ADC_GAIN4 		0x0d
#define ADAU1979_REG_MISC_CONTROL			0x0e
#define ADAU1979_REG_ADC_CLIP				0x19
#define ADAU1979_REG_DC_HPF_CAL				0x1a

#define CODAC_FAILED                    -1
#endif /* __A2BAPP_CODAC_INIT_H__ */
