/*=============================================================================
 *
 * Project: a2bstack
 *
 * Copyright (c) 2015 - Analog Devices Inc. All Rights Reserved.
 * This software is subject to the terms and conditions of the license set 
 * forth in the project LICENSE file. Downloading, reproducing, distributing or 
 * otherwise using the software constitutes acceptance of the license. The 
 * software may not be used except as expressly authorized under the license.
 *
 *=============================================================================
 *
 * \file:   pal_log.h
 * \author: Mentor Graphics, Embedded Software Division
 * \brief:  This is the abstract definition of the platform Logging API.
 *
 *=============================================================================
 */

/*============================================================================*/
/** 
 * \defgroup a2bstack_pal_log           PAL Log Module 
 *  
 * This is the abstract definition of the platform logging API.
 *  
 * \{ */
/*============================================================================*/

#ifndef A2B_PAL_LOG_H_
#define A2B_PAL_LOG_H_

/*======================= I N C L U D E S =========================*/

#include "a2b/macros.h"
#include "a2b/ctypes.h"
#include "a2b/ecb.h"
#include "a2b/pal.h"

/*======================= D E F I N E S ===========================*/

/*======================= D A T A T Y P E S =======================*/

A2B_BEGIN_DECLS

/*======================= P U B L I C  P R O T O T Y P E S ========*/


A2B_EXPORT A2B_DSO_LOCAL a2b_HResult pal_logInit(A2B_ECB* ecb);

A2B_EXPORT A2B_DSO_LOCAL a2b_HResult pal_logShutdown(A2B_ECB* ecb);

A2B_EXPORT A2B_DSO_LOCAL a2b_Handle pal_logOpen(const a2b_Char* url);

A2B_EXPORT A2B_DSO_LOCAL a2b_HResult pal_logClose(a2b_Handle hnd);

A2B_EXPORT A2B_DSO_LOCAL a2b_HResult pal_logWrite(a2b_Handle        hnd,
                                                  const a2b_Char*   msg);

A2B_END_DECLS

/*======================= D A T A =================================*/

/** \} -- a2bstack_pal_log */

#endif /* A2B_PAL_LOG_H_ */
