/*=============================================================================
 *
 * Project: a2bstack
 *
 * Copyright (c) 2015 - Analog Devices Inc. All Rights Reserved.
 * This software is subject to the terms and conditions of the license set 
 * forth in the project LICENSE file. Downloading, reproducing, distributing or 
 * otherwise using the software constitutes acceptance of the license. The 
 * software may not be used except as expressly authorized under the license.
 *
 *=============================================================================
 *
 * \file:   pal_plugin.h
 * \author: Mentor Graphics, Embedded Software Division
 * \brief:  This is the abstract definition of the platform plugin API.
 *
 *=============================================================================
 */

/*============================================================================*/
/** 
 * \defgroup a2bstack_pal_plugin         PAL Plugin Module 
 *  
 * This is the abstract definition of the platform plugin API.
 *  
 * \{ */
/*============================================================================*/

#ifndef A2B_PAL_PLUGIN_H_
#define A2B_PAL_PLUGIN_H_

/*======================= I N C L U D E S =========================*/

#include "a2b/macros.h"
#include "a2b/ctypes.h"
#include "a2b/ecb.h"
#include "a2b/pal.h"

/*======================= D E F I N E S ===========================*/

/*======================= D A T A T Y P E S =======================*/

A2B_BEGIN_DECLS

/*======================= P U B L I C  P R O T O T Y P E S ========*/


/* Forward declarations */
struct a2b_PluginApi;

A2B_EXPORT A2B_DSO_LOCAL a2b_HResult pal_pluginsLoad(
                                            struct a2b_PluginApi**  plugins,
                                            a2b_UInt16*             numPlugins, 
                                            A2B_ECB*                ecb);

A2B_EXPORT A2B_DSO_LOCAL a2b_HResult pal_pluginsUnload(
                                            struct a2b_PluginApi*   plugins,
                                            a2b_UInt16              numPlugins, 
                                            A2B_ECB*                ecb);


A2B_END_DECLS

/*======================= D A T A =================================*/

/** \} -- a2bstack_pal_plugin */

#endif /* A2B_PAL_PLUGIN_H_ */
