/*******************************************************************************
Copyright (c) 2023 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.
******************************************************************************
* @file: adi_a2b_datatypes.h
* @brief: This file contains typoedefs for basic data types used in A2B framework
* @date: $Date: 2021-08-06 07:53:26 -0400 (Fri, 06 Aug 2021) $
* Developed by: Automotive Software and Systems team, Bangalore, India
*****************************************************************************/

/*! \addtogroup Basic_Types Basic Types
* @{
*/

#ifndef _ADI_A2B_DATA_TYPES_H_
#define _ADI_A2B_DATA_TYPES_H_

/*============= I N C L U D E S =============*/
#include "ctypes.h"
/*============= D E F I N E S =============*/

#define ADI_A2B_DATA_MEM_ALIGN4 			__attribute__ ((aligned (4)))

/*! Internal memory code sections */
#define A2B_L1_CODE   _Pragma("section(\"seg_l1_block0\")")
/*! External memory code sections */
#define ADI_MEM_A2B_CODE_NO_CRIT
#define ADI_MEM_A2B_CODE_CRIT

/*! Internal memory data sections */
#define ADI_MEM_A2B_DATA_CRIT_CAHE    _Pragma("section(\"seg_dmda_bw\")")
/*! External memory data sections */
#define ADI_MEM_A2B_DATA_CRIT_NO_CACHE   _Pragma("section(\"seg_dmda_bw\")")



/* Storage classes */

#define STATIC          static

#define EXTERN          extern

#define VOLATILE        volatile

#define REGISTER        register

#define NULL_PTR        ((void *)0)


/*============= D A T A T Y P E S=============*/

typedef unsigned short uint16;

typedef unsigned int uint32;

typedef unsigned long long uint64;

typedef unsigned char uint8;

typedef short int16;

typedef long int32;

typedef long long int64;

typedef signed char int8;

/* Boolean */
#define TRUE  (1)

#define FALSE (0)

/*======= P U B L I C P R O T O T Y P E S ========*/



#endif /* _ADI_A2B_FRAMEWORK_H_ */

/** 
 @}
*/

/*
*
* EOF: $URL: https://dspeng.spd.analog.com/svn/sqe/stage/auto/a2bstacklinux/branches/19.9.0/kit/Target/examples/demo/a2b-linux/a2b-adsp-sc598-linux/a2b-app_Core1/inc/adi_a2b_datatypes.h $
*
*/

