/*=============================================================================
 *
 * Project: a2bstack
 *
 * Copyright (c) 2015 - Analog Devices Inc. All Rights Reserved.
 * This software is subject to the terms and conditions of the license set 
 * forth in the project LICENSE file. Downloading, reproducing, distributing or 
 * otherwise using the software constitutes acceptance of the license. The 
 * software may not be used except as expressly authorized under the license.
 *
 *=============================================================================
 *
 * \file:   ctypes.h
 * \author: Mentor Graphics, Embedded Software Division
 * \brief:  Basic A2B stack types.
 *
 *=============================================================================
 */

/*============================================================================*/
/** 
 * \defgroup a2bstack_ctypes        Stack C-Types
 *  
 * Basic A2B stack C-types (int/char/etc).
 *
 * \{ */
/*============================================================================*/

#ifndef A2B_CTYPES_H_
#define A2B_CTYPES_H_

/*======================= I N C L U D E S =========================*/

#include "macros.h"


/*======================= D E F I N E S ===========================*/

#ifndef A2B_FALSE
#define A2B_FALSE     (0U)
#endif

#ifndef A2B_TRUE
#define A2B_TRUE      (1)
#endif

#define A2B_NULL              ((void*)0)
#define A2B_INVALID_HANDLE    A2B_NULL

/*======================= D A T A T Y P E S =======================*/

#include <stdint.h>
#include <stddef.h>
#include <string.h>

typedef unsigned char       a2b_UChar;
typedef char                a2b_Char;

typedef uint8_t             a2b_UInt8;
typedef int8_t              a2b_Int8;
typedef int16_t             a2b_Int16;
typedef uint16_t            a2b_UInt16;

typedef int32_t             a2b_Int32;
typedef uint32_t            a2b_UInt32;
typedef size_t              a2b_Size;
typedef int                 a2b_Int;
typedef unsigned int        a2b_UInt;

typedef a2b_UInt8           a2b_UIntPtr;


typedef a2b_UChar           a2b_Bool;
typedef a2b_UInt8           a2b_Byte;
typedef void*               a2b_Handle;
typedef a2b_UInt32          a2b_HResult;




/*======================= P U B L I C  P R O T O T Y P E S ========*/

/*======================= D A T A =================================*/

/** \} -- a2bstack_ctypes */

#endif /* A2B_CTYPES_H_ */
