/*******************************************************************************
Copyright (c) 2023 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.
******************************************************************************
* @file: adi_a2b_busconfig.c
* @brief: This file contains A2B Schematic information
* @version: $Revision$
* @date: Tuesday, February 7, 2023-2:55:38 PM
* BCF Version - 1.0.0
* A2B DLL version- 19.4.3.0
* A2B Stack DLL version- 19.4.3.0
* SigmaStudio version- 4.06.000.1812
* Developed by: Automotive Software and Systems team, Bangalore, India
* THIS IS A SIGMASTUDIO GENERATED FILE AND SHALL NOT BE MODIFIED OUTSIDE OF SIGMASTUDIO
*****************************************************************************/

/*! \addtogroup Target_Independent
* @{
*/

/*! \addtogroup Bus_Configuration Bus Configuration
* @{
*/

#include "adi_a2b_datatypes.h"
#include "adi_a2b_graphdata.h"
#include "adi_a2b_busconfig.h"

static ADI_A2B_MASTER_SLAVE_CONFIG sChainConfig0;
static ADI_A2B_MASTER_NCD sMasterNode0;
static ADI_A2B_SLAVE_NCD sChain0_SlaveNode0;
static ADI_A2B_SLAVE_NCD sChain0_SlaveNode1;

ADI_A2B_MEM_BCF_CONST_DATA
 static A2B_PERIPHERAL_DEVICE_CONFIG  Target_PeriConfig0;

ADI_A2B_MEM_BCF_CONST_DATA
 static ADI_A2B_STREAM  sChain0_Master0_Snk_Stream0;

ADI_A2B_MEM_BCF_CONST_DATA
 static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave0_PeriConfig0;

ADI_A2B_MEM_BCF_CONST_DATA
 static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave0_PeriConfig1;

ADI_A2B_MEM_BCF_CONST_DATA
 static ADI_A2B_STREAM  sChain0_Slave0_Src_Stream0;

ADI_A2B_MEM_BCF_CONST_DATA
 static ADI_A2B_STREAM  sChain0_Slave0_PassThru_Stream0;

ADI_A2B_MEM_BCF_CONST_DATA
 static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave1_PeriConfig0;

ADI_A2B_MEM_BCF_CONST_DATA
 static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave1_PeriConfig1;
static ADI_A2B_PERI_CONFIG_UNIT  gaPeriCfg_1_39_Unit[40];

ADI_A2B_MEM_BCF_CONST_DATA
 static ADI_A2B_STREAM  sChain0_Slave1_Src_Stream0;

ADI_A2B_MEM_BCF_CONST_DATA
 static ADI_A2B_STREAM  sChain0_Slave1_Snk_Stream0;


ADI_A2B_MEM_BCF_DATA

/* BUS CONFIGURATION */ 
ADI_A2B_BCD sBusDescription = 
 { 
	/* Number of master nodes/daisy chains in the network */ 
	.nNumMasterNode  = 1u, 
 
	/* Array of Master-slave daisy chains */ 
 	.apNetworkconfig = {  &sChainConfig0 }, 

	/* Network control guidance */ 
	.sTargetProperties    = 
 	{ 
		/* Discovery Mode Selection */ 
		.eDiscoveryMode     = A2B_SIMPLE_DISCOVERY,

		/* PLL Lock Time (tPLK). Delay (in msec) to wait after a software reset and before starting discovery. */ 
		.nDiscoveryStartDelay     = 25,

		/*  Enable/Disable  Line diagnostics (Post discovery) */ 
		.bLineDiagnostics   = A2B_DISABLED,

		/*  Enable/Disable automatic discovery upon critical faults (during discovery process) */ 
		.bAutoDiscCriticalFault = A2B_DISABLED,

		/*  Number of automatic discovery attempts (during discovery process) */ 
		.nAttemptsCriticalFault = 0,

		/* Auto-rediscovery upon post discovery line fault */ 
		.bAutoRediscOnFault = A2B_DISABLED,

		/*! Interval (in milliseconds) between re-discovery attempt during line fault */ 
		.nRediscInterval = 100,

		/*! Enable Cross Talk Fix, applicable only for AD2425 series */ 
		.bCrossTalkFix = A2B_DISABLED,

		/*! Enable override bus self discovery */ 
		/*! Number of peripheral devices connected to Target */
		.nNumPeriDevice = 1,

		/*! Array of peripheral configuration pointers */
 		.apPeriConfig = { 	&Target_PeriConfig0 }
 	}, 

 };

 /************************************************* CHAIN 0 DESCRIPTION  ********************************************************************************/

 /* MASTER-SLAVE DAISY CHAIN0 */ 
 
ADI_A2B_MEM_BCF_DATA 
static ADI_A2B_MASTER_SLAVE_CONFIG sChainConfig0= 
 { 
 	/* Pointer to master node */ 
	.pMasterConfig = &sMasterNode0, 
 
	/*! Number of Slave nodes */ 
	.nNumSlaveNode = 2, 
 
	/*! Array of slave node pointers */ 
	.apSlaveConfig = { &sChain0_SlaveNode0, &sChain0_SlaveNode1}, 

	.sCommonSetting = 
 	{ 
		/*! Master I2C address - 7 bit */ 
		.nMasterI2CAddr = 0x68, 

		/*! Bus I2C address - 7 bit */ 
		.nBusI2CAddr = 0x69, 

		/*! Enable down stream */ 
		.bEnableDwnstream = A2B_ENABLED, 

		/*! Enable down stream */ 
		.bEnableUpstream = A2B_ENABLED, 

		/*! Down slot size */ 
		.nDwnSlotSize = A2B_DNSLOT_SIZE_24, 

 		/*! Up slot size  */ 
		.nUpSlotSize = A2B_UPSLOT_SIZE_24 ,

 		/*! Floating point compression for upstream  */ 
		.bUpstreamCompression  = A2B_DISABLED,

		/*! Floating point compression for downstream  */  
		.bDwnstreamCompression = A2B_DISABLED,

		/*! Reduce Data Rate on A2B Bus   */  
		.bEnableReduceRate = A2B_DISABLED,

		/*! System level reduced rate factor   */  
		.nSysRateDivFactor =1,

	} 
 };

 /************************************************* START OF MASTER NODE 0 DESCRIPTION ********************************************************************************/ 

 /*  MASTER NODE DESCRIPTION   */ 

ADI_A2B_MEM_BCF_DATA
static ADI_A2B_MASTER_NCD sMasterNode0= 
{
	/*! Node ID */
	.nNodeID			= 0x0u ,

	/*! Source node ID : '0xFF' indicates Target processor */
	.nSrcNodeID			= 0xFFu ,

	/*! Transceiver part number */
	.ePartNum			= ADI_A2B_AD2425 ,

	.sAuthSettings =
	{
		/*! Vendor ID - ADI */
		.nVendorID			= 0xADu ,

		/*! Silicon version  - ADI */
		.nVersionID			= 0x2u ,

		/*! Product ID - AD24xx */
		.nProductID			= 0x25u ,

		/*! Interface Capability - I2C */
		.nCapability		= 0x1u ,

		/*! Enable/Disable Transceiver Authentication */
		.bTransceiverAuth		= A2B_DISABLED ,

	},

	.sCustomNodeAuthSettings =
	{
		/*! Enable/Disable Custom Node ID settings */
		.bCustomNodeIdAuth		= A2B_DISABLED ,

	},

	.sI2SSettings =
	{
		/*! TDM mode  */
		.nTDMMode			= A2B_TDM8 ,

		/*! TDM channel size  */
		.nTDMChSize			= A2B_32BIT_TDM ,

		/*! SYNC mode - Pulse/50% duty cycle   */
		.nSyncMode			= A2B_PULSE_SYNC ,

		/*! SYNC Polarity- Rising/Falling edge */
		.nSyncPolarity		= RAISING_EDGE ,

		/*! Early frame sync status */
		.bEarlySync			= A2B_ENABLED ,

		/*! DTXn change BCLK edge */
		.nBclkTxPolarity	= RAISING_EDGE ,

		/*! DRXn Sampling BCLK edge */
		.nBclkRxPolarity	= FALLING_EDGE ,

		/*! Interleave slots between Tx pins  */
		.bTXInterleave		= A2B_DISABLED ,

		/*! Interleave slots between Rx pins  */
		.bRXInterleave		= A2B_DISABLED ,

		/*! Transmit Channel offset in TDM - 0 to 63 */
		.nTxOffset			= 0x0u ,

		/*! Receive channel offset in TDM - 0 to 63 */
		.nRxOffset			= 0x0u ,

		/*! Tx Pin TriState before driving TDM slots */
		.bTriStateBeforeTx	= A2B_DISABLED ,

		/*! Tx Pin Tristate after driving TDM slots */
		.bTriStateAfterTx	= A2B_DISABLED ,

		.sI2SRateConfig =
		{
			/*! Enable RR valid bit in LSB */
			.bRRValidBitLSB	= A2B_DISABLED ,

			/*! Enable Valid RR bit in Extra bit */
			.bRRValidBitExtraBit	= A2B_DISABLED ,

			/*! Enable Reduced rate strobe in ADR1/IO1 */
			.bRRStrobe	= A2B_DISABLED ,

			/*! Strobe direction High or Low */
			.bRRStrobeDirection	= A2B_LOW ,

		},
	},
	.sConfigCtrlSettings =
	{
		/*! Early acknowledge for I2C read/write */
		.bI2CEarlyAck		= A2B_DISABLED ,

		/*! Response cycles  */
		.nRespCycle			= 0x7Du ,

		/*! Pass up slots */
		.nPassUpSlots		= 0x2u ,

		/*! Pass down slots */
		.nPassDwnSlots		= 0x0u ,

		/*! Data control for Master */
		.nDatctrl		= 0x3u ,

	},
	.sGPIOSettings =
	{
		.sPinMuxSettings =
		{
			/*! GPIO 1 Pin multiplexing */
			.bGPIO1PinUsage	= A2B_GPIO_1_DISABLE ,	/*DISABLE*/

			/*! GPIO 2 Pin multiplexing */
			.bGPIO2PinUsage	= A2B_GPIO_2_AS_CLKOUT ,

			/*! GPIO 3 Pin multiplexing */
			.bGPIO3PinUsage	= A2B_GPIO_3_AS_DTX0 ,

			/*! GPIO 4 Pin multiplexing */
			.bGPIO4PinUsage	= A2B_GPIO_4_DISABLE ,	/*DISABLE*/

			/*! GPIO 5 Pin multiplexing */
			.bGPIO5PinUsage	= A2B_GPIO_5_AS_DRX0 ,

			/*! GPIO 6 Pin multiplexing */
			.bGPIO6PinUsage	= A2B_GPIO_6_DISABLE ,	/*DISABLE*/

			/*! GPIO 7 Pin multiplexing */
			.bGPIO7PinUsage	= A2B_GPIO_7_DISABLE ,	/*DISABLE*/

		},
		.sPinIntConfig =
		{
			/*! Enable GPIO 1 Input pin interrupt  */
			.bGPIO1Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 1 Input pin  */
			.bGPIO1IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 2 Input pin interrupt  */
			.bGPIO2Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 2 Input pin  */
			.bGPIO2IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 3 Input pin interrupt  */
			.bGPIO3Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 3 Input pin  */
			.bGPIO3IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 4 Input pin interrupt  */
			.bGPIO4Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 4 Input pin  */
			.bGPIO4IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 5 Input pin interrupt  */
			.bGPIO5Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 5 Input pin  */
			.bGPIO5IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 6 Input pin interrupt  */
			.bGPIO6Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 6 Input pin  */
			.bGPIO6IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 7 Input pin interrupt  */
			.bGPIO7Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 7 Input pin  */
			.bGPIO7IntPolarity	= RAISING_EDGE ,

		},
		.sOutPinVal =
		{
			/*! Data value for GPIO 1 output pin  */
			.bGPIO1Val = A2B_LOW ,

			/*! Data value for GPIO 2 output pin  */
			.bGPIO2Val = A2B_LOW ,

			/*! Data value for GPIO 3 output pin  */
			.bGPIO3Val = A2B_LOW ,

			/*! Data value for GPIO 4 output pin  */
			.bGPIO4Val = A2B_LOW ,

			/*! Data value for GPIO 5 output pin  */
			.bGPIO5Val = A2B_LOW ,

			/*! Data value for GPIO 6 output pin  */
			.bGPIO6Val = A2B_LOW ,

			/*! Data value for GPIO 7 output pin  */
			.bGPIO7Val = A2B_LOW ,

		},

		/*! Digital Pin drive strength */
		.bHighDriveStrength = A2B_DISABLED ,

		/*! IRQ Pin Invert */
		.bIRQInv = A2B_DISABLED ,

		/*! Enable tristate when inactive */
		.bIRQTriState = A2B_DISABLED ,

	},

	.sInterruptSettings =
	{
		/*! Report Header count error  */
		.bReportHDCNTErr		= A2B_ENABLED ,

		/*! Report Data decoding error  */
		.bReportDDErr			= A2B_ENABLED ,

		/*! Report Data CRC error  */
		.bReportCRCErr			= A2B_ENABLED ,

		/*! Report Data Parity error  */
		.bReportDataParityErr	= A2B_DISABLED ,

		/*! Report Data Bus Power error  */
		.bReportPwrErr			= A2B_ENABLED ,

		/*! Report bit error count overflow error  */
		.bReportErrCntOverFlow	= A2B_ENABLED ,

		/*! Report SRF miss error  */
		.bReportSRFMissErr	= A2B_ENABLED ,

		/*! Report GPIO  1 Interrupt */
		.bReportGPIO1			= A2B_ENABLED ,

		/*! Report GPIO  2 Interrupt */
		.bReportGPIO2			= A2B_ENABLED ,

		/*! Report GPIO  3 Interrupt */
		.bReportGPIO3			= A2B_ENABLED ,

		/*! Report GPIO  4 Interrupt */
		.bReportGPIO4			= A2B_ENABLED ,

		/*! Report GPIO  5 Interrupt */
		.bReportGPIO5			= A2B_ENABLED ,

		/*! Report GPIO  6 Interrupt */
		.bReportGPIO6			= A2B_ENABLED ,

		/*! Report GPIO  7 Interrupt */
		.bReportGPIO7			= A2B_ENABLED ,

		/*! Report I2C failure error  */
		.bReportI2CErr			= A2B_ENABLED ,

		/*! Report Discovery Completion */
		.bDiscComplete			= A2B_ENABLED ,

		/*! Report Interrupt frame error */
		.bIntFrameCRCErr		= A2B_ENABLED ,

		/*! Report Interrupt requests  */
		.bSlaveIntReq			= A2B_ENABLED ,

	},

	.sGPIODSettings =
	{
		.sGPIOD1Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

		.sGPIOD2Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

		.sGPIOD3Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

		.sGPIOD4Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

		.sGPIOD5Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

		.sGPIOD6Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

		.sGPIOD7Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},

	},

	.sClkOutSettings =
	{
		/*! Enable Clock1 inversion */
		.bClk1Inv			= A2B_DISABLED ,

		/*! Clk1 pre-division */
		.bClk1PreDiv			= A2B_CLKOUT_PREDIV_02,

		/*! Clk1 division */
		.bClk1Div			= A2B_CLKOUT_DIV_2,

		/*! Enable Clock2 inversion */
		.bClk2Inv			= A2B_DISABLED ,

		/*! Clk2 pre-division */
		.bClk2PreDiv			= A2B_CLKOUT_PREDIV_02,

		/*! Clk2 division */
		.bClk2Div			= A2B_CLKOUT_DIV_4,

	},

	.sRegSettings =
	{
		/*! Switch control register */
		.nSWCTL		= 0x1u ,

		/*! PDM Control register  */
		.nPDMCTL	= 0x0u ,

		/*! Test mode register */
		.nTESTMODE	= 0x0u ,

		/*! Error control register */
		.nBECCTL	= 0xFFu ,

		/*! Error management register  */
		.nERRMGMT	= 0x0u ,

		/*! I2S test register  */
		.nI2STEST	= 0x0u ,

		/*! Generate error  */
		.nGENERR	= 0x0u ,

		/*! Raise interrupt register */
		.nRAISE		= 0x0u ,

		/*! Bus monitor configuration  */
		.nBMMCFG	= 0x0u ,

	},

	.sStreamSettings =
	{
		/*! No of Streams sourced (added) by the node */
		.nNumSrcStreams = 0x0u ,

		/*! Source Streams Info */
		.pSrcStreams = { 	0x0u	},

		/*! No of Streams sinked (used) by the node */
		.nNumSnkStreams = 0x1u ,

		/*! Sink Streams Info */
		.pSnkStreams = { 	&sChain0_Master0_Snk_Stream0	},


	}
};

/************************************************* END OF MASTER NODE 0 DESCRIPTION ********************************************************************************/

 /************************************************* START OF SLAVE NODE 0 DESCRIPTION ********************************************************************************/

/* SLAVE NODE DESCRIPTION */ 

ADI_A2B_MEM_BCF_DATA
static ADI_A2B_SLAVE_NCD sChain0_SlaveNode0= 
{
	/* Node ID  */
	.nNodeID			= 0x0u ,

	/* Source node ID  */
	.nSrcNodeID			= 0x0u ,

	/*! Transceiver part number */
	.ePartNum			= ADI_A2B_AD2428 ,

	/* Auto-configure Node Enabled */
	.bEnableAutoConfig	= A2B_DISABLED ,

	/* Node Power Configuration */
	.bLocalPower		= A2B_DISABLED ,

	.sAuthSettings =
	{
		/*! Vendor ID - ADI */
		.nVendorID			= 0xADu ,

		/*! Silicon version  */
		.nVersionID			= 0x0u ,

		/*! PRODUCT ID -AD2410 */
		.nProductID			= 0x28u ,

		/*! Expected capablity - I2C */
		.nCapability		= 0x1u ,

		/*! Enable/Disable Transceiver Authentication */
		.bTransceiverAuth		= A2B_DISABLED ,

	},

	.sCustomNodeAuthSettings =
	{
		/*! Enable/Disable Custom Node ID settings */
		.bCustomNodeIdAuth		= A2B_DISABLED ,

	},

	.sI2SSettings =
	{
		/*! TDM mode  */
		.nTDMMode		= A2B_TDM2 ,

		/*! TDM channel size  */
		.nTDMChSize			= A2B_32BIT_TDM ,

		/*! SYNC mode - Pulse/50% duty cycle   */
		.nSyncMode			= A2B_ALTERNATE_SYNC ,

		/*! SYNC Polarity- Rising/Falling edge */
		.nSyncPolarity		= FALLING_EDGE ,

		/*! Early frame sync status */
		.bEarlySync			= A2B_ENABLED ,

		/*! Serial RX on DTX1 Pin */
		.bSerialRxOnDTx1			= A2B_DISABLED ,

		/*! SYNC offset with Super frame */
		.nSyncOffset		= 0x0 ,

		/*! DTXn change BCLK edge */
		.nBclkTxPolarity	= RAISING_EDGE ,

		/*! DRXn sampling BCLK edge */
		.nBclkRxPolarity	= RAISING_EDGE ,

		/*! Interleave slots between Tx pins  */
		.bTXInterleave		= A2B_DISABLED ,

		/*! Interleave slots between Rx pins  */
		.bRXInterleave		= A2B_DISABLED ,

		.sI2SRateConfig =
		{
			/* Sample rate */
			.nSamplingRate		= A2B_SAMPLERATE_48kHz ,

			/*! Reduce / re-transmit higher frequency samples  */
		.bReduce			= A2B_DISABLED ,

			/*! Share A2B bus slots for reduced sampling */
			.bShareBusSlot	= A2B_DISABLED ,

			/*! Enable Valid RR bit in Extra bit */
			.bRRValidBitLSB 	= A2B_DISABLED ,

			/*! Enable Valid RR bit in Extra Channel */
			.bRRValidBitExtraBit	= A2B_DISABLED ,

			/*! Enable Reduced rate strobe in ADR1/IO1 */
			.bRRStrobe	= A2B_DISABLED ,

			/*! Strobe direction High or Low */
			.bRRStrobeDirection	= A2B_LOW ,

		},
	},

	.sPDMSettings =
	{
		/*! Number of PDM0 slots  */
		.nNumSlotsPDM0		= A2B_PDM0SLOTS_1 ,

		/*! Number of PDM1 slots  */
		.nNumSlotsPDM1		= A2B_PDM1SLOTS_2 ,

		/*! Use High Pass Filter  */
		.bHPFUse		= A2B_ENABLED ,

		/*! PDM rate  */
		.nPDMRate		= A2B_PDM_RATE_SFF ,

		/*! PDM Inverted Version of Alternate Clock */
		.bPDMInvClk		= A2B_DISABLED ,

		/*! PDM Alternate Clock */
		.bPDMAltClk		= A2B_DISABLED ,

		/*! PDM0 Falling Edge First */
		.bPDM0FallingEdgeFrst		= A2B_DISABLED ,

		/*! PDM1 Falling Edge First */
		.bPDM1FallingEdgeFrst		= A2B_DISABLED ,

		/*! PDM Destination */
		.ePDMDestination		= A2B_BUS_ONLY ,

	},

	.sConfigCtrlSettings =
	{
		/*! I2C interface frequency */
		.nI2CFrequency		= A2B_I2C_400kHz ,

		/*! Response cycles  */
		.nRespCycle			= 0x7Du ,

		/*! Expected super/audio frame rate */
		.nSuperFrameRate	= A2B_SFF_RATE_48_0kHz ,

		/*! Number of broadcast slots */
		.nBroadCastSlots	= 0x0u ,

		/*! Local down slots */
		.nLocalDwnSlotsConsume		= 0x0u ,

		/*! Local Up slots */
		.nLocalUpSlotsContribute		= 0x0u ,

		/*! Pass up slots */
		.nPassUpSlots		= 0x2u ,

		/*! Pass down slots */
		.nPassDwnSlots		= 0x0u ,

		/*! Number of slots for contribution */
		.nSlotsforDwnstrmContribute		= 0x2u ,

		/*! Number of Upslots consumed */
		.nLocalUpSlotsConsume		= 0x0u ,

		/*! Array of downstream  masks */ 
		.anUpstreamConsumeSlots = { SLOT_0_DISABLED, SLOT_1_DISABLED, SLOT_2_DISABLED, SLOT_3_DISABLED, SLOT_4_DISABLED, SLOT_5_DISABLED, SLOT_6_DISABLED, SLOT_7_DISABLED, 
 									 SLOT_8_DISABLED, SLOT_9_DISABLED, SLOT_10_DISABLED, SLOT_11_DISABLED, SLOT_12_DISABLED, SLOT_13_DISABLED, SLOT_14_DISABLED, SLOT_15_DISABLED, 
 									 SLOT_16_DISABLED, SLOT_17_DISABLED, SLOT_18_DISABLED, SLOT_19_DISABLED, SLOT_20_DISABLED, SLOT_21_DISABLED, SLOT_22_DISABLED, SLOT_23_DISABLED, 
 									 SLOT_24_DISABLED, SLOT_25_DISABLED, SLOT_26_DISABLED, SLOT_27_DISABLED, SLOT_28_DISABLED, SLOT_29_DISABLED, SLOT_30_DISABLED, SLOT_31_DISABLED},
		/*! Offset from the RX Buffer for downstream contribution */
		.nOffsetDwnstrmContribute		= 0x0u ,

		/*! Enable Down slot consume through mask */
		.bUseDwnslotConsumeMasks		= A2B_ENABLED ,

		/*! Array of downstream  masks */ 
		.anDwnstreamConsumeSlots = { SLOT_0_DISABLED, SLOT_1_DISABLED, SLOT_2_DISABLED, SLOT_3_DISABLED, SLOT_4_DISABLED, SLOT_5_DISABLED, SLOT_6_DISABLED, SLOT_7_DISABLED, 
 									 SLOT_8_DISABLED, SLOT_9_DISABLED, SLOT_10_DISABLED, SLOT_11_DISABLED, SLOT_12_DISABLED, SLOT_13_DISABLED, SLOT_14_DISABLED, SLOT_15_DISABLED, 
 									 SLOT_16_DISABLED, SLOT_17_DISABLED, SLOT_18_DISABLED, SLOT_19_DISABLED, SLOT_20_DISABLED, SLOT_21_DISABLED, SLOT_22_DISABLED, SLOT_23_DISABLED, 
 									 SLOT_24_DISABLED, SLOT_25_DISABLED, SLOT_26_DISABLED, SLOT_27_DISABLED, SLOT_28_DISABLED, SLOT_29_DISABLED, SLOT_30_DISABLED, SLOT_31_DISABLED},
		/*! Offset from the RX Buffer for Upstream contribution*/
		.nOffsetUpstrmContribute		= 0x0u ,

	},
	.sGPIOSettings =
	{
		.sPinMuxSettings =
		{
			/*! GPIO 0 Pin multiplexing */
			.bGPIO0PinUsage	= A2B_GPIO_0_DISABLE ,	/*NA*/

			/*! GPIO 1 Pin multiplexing */
			.bGPIO1PinUsage	= A2B_GPIO_1_DISABLE ,	/*NA*/

			/*! GPIO 2 Pin multiplexing */
			.bGPIO2PinUsage	= A2B_GPIO_2_DISABLE ,	/*NA*/

			/*! GPIO 3 Pin multiplexing */
			.bGPIO3PinUsage	= A2B_GPIO_3_DISABLE ,	/*NA*/

			/*! GPIO 4 Pin multiplexing */
			.bGPIO4PinUsage	= A2B_GPIO_4_OUTPUT ,

			/*! GPIO 5 Pin multiplexing */
			.bGPIO5PinUsage	= A2B_GPIO_5_DISABLE ,	/*NA*/

			/*! GPIO 6 Pin multiplexing */
			.bGPIO6PinUsage	= A2B_GPIO_6_AS_PDM1 ,

			/*! GPIO 7 Pin multiplexing */
			.bGPIO7PinUsage	= A2B_GPIO_7_DISABLE ,	/*NA*/

		},
		.sPinIntConfig =
		{
			/*! Enable GPIO 0 Input pin interrupt  */
			.bGPIO0Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 0 Input pin  */
			.bGPIO0IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 1 Input pin interrupt  */
			.bGPIO1Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 1 Input pin  */
			.bGPIO1IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 2 Input pin interrupt  */
			.bGPIO2Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 2 Input pin  */
			.bGPIO2IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 3 Input pin interrupt  */
			.bGPIO3Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 3 Input pin  */
			.bGPIO3IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 4 Input pin interrupt  */
			.bGPIO4Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 4 Input pin  */
			.bGPIO4IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 5 Input pin interrupt  */
			.bGPIO5Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 5 Input pin  */
			.bGPIO5IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 6 Input pin interrupt  */
			.bGPIO6Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 6 Input pin  */
			.bGPIO6IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 7 Input pin interrupt  */
			.bGPIO7Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 7 Input pin  */
			.bGPIO7IntPolarity	= RAISING_EDGE ,

		},
		.sOutPinVal =
		{
			/*! Data value for GPIO 0 output pin  */
			.bGPIO0Val = A2B_LOW ,

			/*! Data value for GPIO 1 output pin  */
			.bGPIO1Val = A2B_LOW ,

			/*! Data value for GPIO 2 output pin  */
			.bGPIO2Val = A2B_LOW ,

			/*! Data value for GPIO 3 output pin  */
			.bGPIO3Val = A2B_LOW ,

			/*! Data value for GPIO 4 output pin  */
			.bGPIO4Val = A2B_HIGH ,

			/*! Data value for GPIO 5 output pin  */
			.bGPIO5Val = A2B_LOW ,

			/*! Data value for GPIO 6 output pin  */
			.bGPIO6Val = A2B_LOW ,

			/*! Data value for GPIO 7 output pin  */
			.bGPIO7Val = A2B_LOW ,

		},

		/*! Digital Pin drive strength */
		.bHighDriveStrength = A2B_DISABLED ,

		/*! IRQ Pin Invert */
		.bIRQInv = A2B_DISABLED ,

		/*! Enable tristate when inactive */
		.bIRQTriState = A2B_DISABLED ,

	},

	.sInterruptSettings =
	{
		/*! Report Header count error  */
		.bReportHDCNTErr		= A2B_ENABLED ,

		/*! Report Data decoding error  */
		.bReportDDErr			= A2B_ENABLED ,

		/*! Report Data CRC error  */
		.bReportCRCErr			= A2B_ENABLED ,

		/*! Report Data Parity error  */
		.bReportDataParityErr	= A2B_DISABLED ,

		/*! Report Data Bus Power error  */
		.bReportPwrErr			= A2B_ENABLED ,

		/*! Report bit error count overflow error  */
		.bReportErrCntOverFlow	= A2B_ENABLED ,

		/*! Report SRF miss error  */
		.bReportSRFMissErr	= A2B_ENABLED ,

		/*! Report SRF crc error  */
		.bReportSRFCrcErr		= A2B_DISABLED ,

		/*! Report GPIO  0 Interrupt */
		.bReportGPIO0			= A2B_ENABLED ,

		/*! Report GPIO  1 Interrupt */
		.bReportGPIO1			= A2B_ENABLED ,

		/*! Report GPIO  2 Interrupt */
		.bReportGPIO2			= A2B_ENABLED ,

		/*! Report GPIO  3 Interrupt */
		.bReportGPIO3			= A2B_ENABLED ,

		/*! Report GPIO  4 Interrupt */
		.bReportGPIO4			= A2B_ENABLED ,

		/*! Report GPIO  5 Interrupt */
		.bReportGPIO5			= A2B_ENABLED ,

		/*! Report GPIO  6 Interrupt */
		.bReportGPIO6			= A2B_ENABLED ,

		/*! Report GPIO  7 Interrupt */
		.bReportGPIO7			= A2B_DISABLED ,

	},

	.sGPIODSettings =
	{
		.sGPIOD0Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD1Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD2Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD3Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD4Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD5Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD6Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD7Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
	},

	.sClkOutSettings =
	{
		/*! Enable Clock1 inversion */
		.bClk1Inv			= A2B_DISABLED ,

		/*! Clk1 pre-division */
		.bClk1PreDiv		= A2B_CLKOUT_PREDIV_02,

		/*! Clk1 division */
		.bClk1Div			= A2B_CLKOUT_DIV_2,

		/*! Enable Clock2 inversion */
		.bClk2Inv			= A2B_DISABLED ,

		/*! Clk2 pre-division */
		.bClk2PreDiv		= A2B_CLKOUT_PREDIV_02,

		/*! Clk2 division */
		.bClk2Div			= A2B_CLKOUT_DIV_2,

	},
	.sRegSettings =
	{
		/*! Switch control register */
		.nSWCTL		= 0x1u ,

		/*! Test mode register */
		.nTESTMODE	= 0x0u ,

		/*! Error control register */
		.nBECCTL	= 0xEFu ,

		/*! Error management register  */
		.nERRMGMT	= 0x0u ,

		/*! I2S test register  */
		.nI2STEST	= 0x0u ,

		/*! Generate error  */
		.nGENERR	= 0x0u ,

		/*! Raise interrupt register */
		.nRAISE		= 0x0u ,

		/*! Bus monitor configuration */
		.nBMMCFG		= 0x0u ,

		/*! Clock sustain configuration   */
		.nSUSCFG	= 0x0u ,

		/*!  Mailbox 0 control */
		.nMBOX0CTL		= 0x0u ,

		/*!  Mailbox 1 control */
		.nMBOX1CTL		= 0x2u ,

		/*! PLL Control register  */
		.nPLLCTL	= 0x0u ,

		/*! LVDSA TX Control Register */
		.nTXACTL	= 0x0u ,

		/*! LVDSB TX Control Register */
		.nTXBCTL	= 0x0u ,

		/*! Control Register */
		.nCONTROL	= 0x0u ,

	},

		 /* Number of peripheral devices connected  */
		.nNumPeriDevice = 2,

		 /*Array of peripheral configuration pointers */ 
		.apPeriConfig = { 	 &sChain0_Slave0_PeriConfig0,  &sChain0_Slave0_PeriConfig1, 	},

	.sStreamSettings =
	{
		/*! No of Streams sourced (added) by the node */
		.nNumSrcStreams = 0x1u ,

		/*! Source Streams Info */
		.pSrcStreams = { 	&sChain0_Slave0_Src_Stream0	},

		/*! No of Streams sinked (used) by the node */
		.nNumSnkStreams = 0x0u ,

		/*! Sink Streams Info */
		.pSnkStreams = { 	0x0u	},

		/*! No of Streams passing through this node */
		.nNumPassThruStreams = 0x1u ,

		/*! Pass Through Streams Info */
		.pPassThruStreams = { 	&sChain0_Slave0_PassThru_Stream0	},


	}
};

/************************************************* END OF SLAVE NODE 0 DESCRIPTION ********************************************************************************/ 
 
/************************************************* START OF SLAVE NODE 1 DESCRIPTION ********************************************************************************/

/* SLAVE NODE DESCRIPTION */ 

ADI_A2B_MEM_BCF_DATA
static ADI_A2B_SLAVE_NCD sChain0_SlaveNode1= 
{
	/* Node ID  */
	.nNodeID			= 0x1u ,

	/* Source node ID  */
	.nSrcNodeID			= 0x0u ,

	/*! Transceiver part number */
	.ePartNum			= ADI_A2B_AD2428 ,

	/* Auto-configure Node Enabled */
	.bEnableAutoConfig	= A2B_DISABLED ,

	/* Node Power Configuration */
	.bLocalPower		= A2B_DISABLED ,

	.sAuthSettings =
	{
		/*! Vendor ID - ADI */
		.nVendorID			= 0xADu ,

		/*! Silicon version  */
		.nVersionID			= 0x0u ,

		/*! PRODUCT ID -AD2410 */
		.nProductID			= 0x28u ,

		/*! Expected capablity - I2C */
		.nCapability		= 0x1u ,

		/*! Enable/Disable Transceiver Authentication */
		.bTransceiverAuth		= A2B_DISABLED ,

	},

	.sCustomNodeAuthSettings =
	{
		/*! Enable/Disable Custom Node ID settings */
		.bCustomNodeIdAuth		= A2B_DISABLED ,

	},

	.sI2SSettings =
	{
		/*! TDM mode  */
		.nTDMMode		= A2B_TDM2 ,

		/*! TDM channel size  */
		.nTDMChSize			= A2B_32BIT_TDM ,

		/*! SYNC mode - Pulse/50% duty cycle   */
		.nSyncMode			= A2B_ALTERNATE_SYNC ,

		/*! SYNC Polarity- Rising/Falling edge */
		.nSyncPolarity		= FALLING_EDGE ,

		/*! Early frame sync status */
		.bEarlySync			= A2B_ENABLED ,

		/*! Serial RX on DTX1 Pin */
		.bSerialRxOnDTx1			= A2B_DISABLED ,

		/*! SYNC offset with Super frame */
		.nSyncOffset		= 0x0 ,

		/*! DTXn change BCLK edge */
		.nBclkTxPolarity	= RAISING_EDGE ,

		/*! DRXn sampling BCLK edge */
		.nBclkRxPolarity	= FALLING_EDGE ,

		/*! Interleave slots between Tx pins  */
		.bTXInterleave		= A2B_DISABLED ,

		/*! Interleave slots between Rx pins  */
		.bRXInterleave		= A2B_DISABLED ,

		.sI2SRateConfig =
		{
			/* Sample rate */
			.nSamplingRate		= A2B_SAMPLERATE_48kHz ,

			/*! Reduce / re-transmit higher frequency samples  */
		.bReduce			= A2B_DISABLED ,

			/*! Share A2B bus slots for reduced sampling */
			.bShareBusSlot	= A2B_DISABLED ,

			/*! Enable Valid RR bit in Extra bit */
			.bRRValidBitLSB 	= A2B_DISABLED ,

			/*! Enable Valid RR bit in Extra Channel */
			.bRRValidBitExtraBit	= A2B_DISABLED ,

			/*! Enable Reduced rate strobe in ADR1/IO1 */
			.bRRStrobe	= A2B_DISABLED ,

			/*! Strobe direction High or Low */
			.bRRStrobeDirection	= A2B_LOW ,

		},
	},

	.sPDMSettings =
	{
		/*! Number of PDM0 slots  */
		.nNumSlotsPDM0		= A2B_PDM0SLOTS_1 ,

		/*! Number of PDM1 slots  */
		.nNumSlotsPDM1		= A2B_PDM1SLOTS_2 ,

		/*! Use High Pass Filter  */
		.bHPFUse		= A2B_ENABLED ,

		/*! PDM rate  */
		.nPDMRate		= A2B_PDM_RATE_SFF ,

		/*! PDM Inverted Version of Alternate Clock */
		.bPDMInvClk		= A2B_DISABLED ,

		/*! PDM Alternate Clock */
		.bPDMAltClk		= A2B_DISABLED ,

		/*! PDM0 Falling Edge First */
		.bPDM0FallingEdgeFrst		= A2B_DISABLED ,

		/*! PDM1 Falling Edge First */
		.bPDM1FallingEdgeFrst		= A2B_DISABLED ,

		/*! PDM Destination */
		.ePDMDestination		= A2B_BUS_ONLY ,

	},

	.sConfigCtrlSettings =
	{
		/*! I2C interface frequency */
		.nI2CFrequency		= A2B_I2C_400kHz ,

		/*! Response cycles  */
		.nRespCycle			= 0x79u ,

		/*! Expected super/audio frame rate */
		.nSuperFrameRate	= A2B_SFF_RATE_48_0kHz ,

		/*! Number of broadcast slots */
		.nBroadCastSlots	= 0x0u ,

		/*! Local down slots */
		.nLocalDwnSlotsConsume		= 0x2u ,

		/*! Local Up slots */
		.nLocalUpSlotsContribute		= 0x2u ,

		/*! Pass up slots */
		.nPassUpSlots		= 0x0u ,

		/*! Pass down slots */
		.nPassDwnSlots		= 0x0u ,

		/*! Number of slots for contribution */
		.nSlotsforDwnstrmContribute		= 0x0u ,

		/*! Number of Upslots consumed */
		.nLocalUpSlotsConsume		= 0x0u ,

		/*! Array of downstream  masks */ 
		.anUpstreamConsumeSlots = { SLOT_0_DISABLED, SLOT_1_DISABLED, SLOT_2_DISABLED, SLOT_3_DISABLED, SLOT_4_DISABLED, SLOT_5_DISABLED, SLOT_6_DISABLED, SLOT_7_DISABLED, 
 									 SLOT_8_DISABLED, SLOT_9_DISABLED, SLOT_10_DISABLED, SLOT_11_DISABLED, SLOT_12_DISABLED, SLOT_13_DISABLED, SLOT_14_DISABLED, SLOT_15_DISABLED, 
 									 SLOT_16_DISABLED, SLOT_17_DISABLED, SLOT_18_DISABLED, SLOT_19_DISABLED, SLOT_20_DISABLED, SLOT_21_DISABLED, SLOT_22_DISABLED, SLOT_23_DISABLED, 
 									 SLOT_24_DISABLED, SLOT_25_DISABLED, SLOT_26_DISABLED, SLOT_27_DISABLED, SLOT_28_DISABLED, SLOT_29_DISABLED, SLOT_30_DISABLED, SLOT_31_DISABLED},
		/*! Offset from the RX Buffer for downstream contribution */
		.nOffsetDwnstrmContribute		= 0x0u ,

		/*! Enable Down slot consume through mask */
		.bUseDwnslotConsumeMasks		= A2B_ENABLED ,

		/*! Array of downstream  masks */ 
		.anDwnstreamConsumeSlots = { SLOT_0_ENABLED, SLOT_1_ENABLED, SLOT_2_DISABLED, SLOT_3_DISABLED, SLOT_4_DISABLED, SLOT_5_DISABLED, SLOT_6_DISABLED, SLOT_7_DISABLED, 
 									 SLOT_8_DISABLED, SLOT_9_DISABLED, SLOT_10_DISABLED, SLOT_11_DISABLED, SLOT_12_DISABLED, SLOT_13_DISABLED, SLOT_14_DISABLED, SLOT_15_DISABLED, 
 									 SLOT_16_DISABLED, SLOT_17_DISABLED, SLOT_18_DISABLED, SLOT_19_DISABLED, SLOT_20_DISABLED, SLOT_21_DISABLED, SLOT_22_DISABLED, SLOT_23_DISABLED, 
 									 SLOT_24_DISABLED, SLOT_25_DISABLED, SLOT_26_DISABLED, SLOT_27_DISABLED, SLOT_28_DISABLED, SLOT_29_DISABLED, SLOT_30_DISABLED, SLOT_31_DISABLED},
		/*! Offset from the RX Buffer for Upstream contribution*/
		.nOffsetUpstrmContribute		= 0x0u ,

	},
	.sGPIOSettings =
	{
		.sPinMuxSettings =
		{
			/*! GPIO 0 Pin multiplexing */
			.bGPIO0PinUsage	= A2B_GPIO_0_DISABLE ,	/*NA*/

			/*! GPIO 1 Pin multiplexing */
			.bGPIO1PinUsage	= A2B_GPIO_1_DISABLE ,	/*NA*/

			/*! GPIO 2 Pin multiplexing */
			.bGPIO2PinUsage	= A2B_GPIO_2_AS_CLKOUT ,

			/*! GPIO 3 Pin multiplexing */
			.bGPIO3PinUsage	= A2B_GPIO_3_AS_DTX0 ,

			/*! GPIO 4 Pin multiplexing */
			.bGPIO4PinUsage	= A2B_GPIO_4_OUTPUT ,

			/*! GPIO 5 Pin multiplexing */
			.bGPIO5PinUsage	= A2B_GPIO_5_AS_DRX0 ,

			/*! GPIO 6 Pin multiplexing */
			.bGPIO6PinUsage	= A2B_GPIO_6_DISABLE ,	/*NA*/

			/*! GPIO 7 Pin multiplexing */
			.bGPIO7PinUsage	= A2B_GPIO_7_DISABLE ,	/*NA*/

		},
		.sPinIntConfig =
		{
			/*! Enable GPIO 0 Input pin interrupt  */
			.bGPIO0Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 0 Input pin  */
			.bGPIO0IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 1 Input pin interrupt  */
			.bGPIO1Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 1 Input pin  */
			.bGPIO1IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 2 Input pin interrupt  */
			.bGPIO2Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 2 Input pin  */
			.bGPIO2IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 3 Input pin interrupt  */
			.bGPIO3Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 3 Input pin  */
			.bGPIO3IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 4 Input pin interrupt  */
			.bGPIO4Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 4 Input pin  */
			.bGPIO4IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 5 Input pin interrupt  */
			.bGPIO5Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 5 Input pin  */
			.bGPIO5IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 6 Input pin interrupt  */
			.bGPIO6Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 6 Input pin  */
			.bGPIO6IntPolarity	= RAISING_EDGE ,

			/*! Enable GPIO 7 Input pin interrupt  */
			.bGPIO7Interrupt	= A2B_DISABLED ,

			/*! Interrupt polarity - GPIO 7 Input pin  */
			.bGPIO7IntPolarity	= RAISING_EDGE ,

		},
		.sOutPinVal =
		{
			/*! Data value for GPIO 0 output pin  */
			.bGPIO0Val = A2B_LOW ,

			/*! Data value for GPIO 1 output pin  */
			.bGPIO1Val = A2B_LOW ,

			/*! Data value for GPIO 2 output pin  */
			.bGPIO2Val = A2B_LOW ,

			/*! Data value for GPIO 3 output pin  */
			.bGPIO3Val = A2B_LOW ,

			/*! Data value for GPIO 4 output pin  */
			.bGPIO4Val = A2B_HIGH ,

			/*! Data value for GPIO 5 output pin  */
			.bGPIO5Val = A2B_LOW ,

			/*! Data value for GPIO 6 output pin  */
			.bGPIO6Val = A2B_LOW ,

			/*! Data value for GPIO 7 output pin  */
			.bGPIO7Val = A2B_LOW ,

		},

		/*! Digital Pin drive strength */
		.bHighDriveStrength = A2B_DISABLED ,

		/*! IRQ Pin Invert */
		.bIRQInv = A2B_DISABLED ,

		/*! Enable tristate when inactive */
		.bIRQTriState = A2B_DISABLED ,

	},

	.sInterruptSettings =
	{
		/*! Report Header count error  */
		.bReportHDCNTErr		= A2B_ENABLED ,

		/*! Report Data decoding error  */
		.bReportDDErr			= A2B_ENABLED ,

		/*! Report Data CRC error  */
		.bReportCRCErr			= A2B_ENABLED ,

		/*! Report Data Parity error  */
		.bReportDataParityErr	= A2B_DISABLED ,

		/*! Report Data Bus Power error  */
		.bReportPwrErr			= A2B_ENABLED ,

		/*! Report bit error count overflow error  */
		.bReportErrCntOverFlow	= A2B_ENABLED ,

		/*! Report SRF miss error  */
		.bReportSRFMissErr	= A2B_ENABLED ,

		/*! Report SRF crc error  */
		.bReportSRFCrcErr		= A2B_DISABLED ,

		/*! Report GPIO  0 Interrupt */
		.bReportGPIO0			= A2B_ENABLED ,

		/*! Report GPIO  1 Interrupt */
		.bReportGPIO1			= A2B_ENABLED ,

		/*! Report GPIO  2 Interrupt */
		.bReportGPIO2			= A2B_ENABLED ,

		/*! Report GPIO  3 Interrupt */
		.bReportGPIO3			= A2B_ENABLED ,

		/*! Report GPIO  4 Interrupt */
		.bReportGPIO4			= A2B_ENABLED ,

		/*! Report GPIO  5 Interrupt */
		.bReportGPIO5			= A2B_ENABLED ,

		/*! Report GPIO  6 Interrupt */
		.bReportGPIO6			= A2B_ENABLED ,

		/*! Report GPIO  7 Interrupt */
		.bReportGPIO7			= A2B_DISABLED ,

	},

	.sGPIODSettings =
	{
		.sGPIOD0Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD1Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD2Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD3Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD4Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD5Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD6Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
		.sGPIOD7Config =
		{
			/*! Enable/Disable GPIO over distance   */
			.bGPIODistance	= A2B_DISABLED ,

			/*! Enable/Disable  */
			.bGPIOSignalInv	= A2B_DISABLED ,

			/*! Bus port masks */ 
			.abBusPortMask = { A2B_MASK_BUSFLAG_0, A2B_MASK_BUSFLAG_1, A2B_MASK_BUSFLAG_2, A2B_MASK_BUSFLAG_3, A2B_MASK_BUSFLAG_4, A2B_MASK_BUSFLAG_5, A2B_MASK_BUSFLAG_6, A2B_MASK_BUSFLAG_7},


		},
	},

	.sClkOutSettings =
	{
		/*! Enable Clock1 inversion */
		.bClk1Inv			= A2B_DISABLED ,

		/*! Clk1 pre-division */
		.bClk1PreDiv		= A2B_CLKOUT_PREDIV_02,

		/*! Clk1 division */
		.bClk1Div			= A2B_CLKOUT_DIV_2,

		/*! Enable Clock2 inversion */
		.bClk2Inv			= A2B_ENABLED ,

		/*! Clk2 pre-division */
		.bClk2PreDiv		= A2B_CLKOUT_PREDIV_02,

		/*! Clk2 division */
		.bClk2Div			= A2B_CLKOUT_DIV_4,

	},
	.sRegSettings =
	{
		/*! Switch control register */
		.nSWCTL		= 0x0u ,

		/*! Test mode register */
		.nTESTMODE	= 0x0u ,

		/*! Error control register */
		.nBECCTL	= 0xEFu ,

		/*! Error management register  */
		.nERRMGMT	= 0x0u ,

		/*! I2S test register  */
		.nI2STEST	= 0x0u ,

		/*! Generate error  */
		.nGENERR	= 0x0u ,

		/*! Raise interrupt register */
		.nRAISE		= 0x0u ,

		/*! Bus monitor configuration */
		.nBMMCFG		= 0x0u ,

		/*! Clock sustain configuration   */
		.nSUSCFG	= 0x0u ,

		/*!  Mailbox 0 control */
		.nMBOX0CTL		= 0x0u ,

		/*!  Mailbox 1 control */
		.nMBOX1CTL		= 0x2u ,

		/*! PLL Control register  */
		.nPLLCTL	= 0x0u ,

		/*! LVDSA TX Control Register */
		.nTXACTL	= 0x0u ,

		/*! LVDSB TX Control Register */
		.nTXBCTL	= 0x0u ,

		/*! Control Register */
		.nCONTROL	= 0x0u ,

	},

		 /* Number of peripheral devices connected  */
		.nNumPeriDevice = 2,

		 /*Array of peripheral configuration pointers */ 
		.apPeriConfig = { 	 &sChain0_Slave1_PeriConfig0,  &sChain0_Slave1_PeriConfig1, 	},

	.sStreamSettings =
	{
		/*! No of Streams sourced (added) by the node */
		.nNumSrcStreams = 0x1u ,

		/*! Source Streams Info */
		.pSrcStreams = { 	&sChain0_Slave1_Src_Stream0	},

		/*! No of Streams sinked (used) by the node */
		.nNumSnkStreams = 0x1u ,

		/*! Sink Streams Info */
		.pSnkStreams = { 	&sChain0_Slave1_Snk_Stream0	},

		/*! No of Streams passing through this node */
		.nNumPassThruStreams = 0x0u ,

		/*! Pass Through Streams Info */
		.pPassThruStreams = { 	0x0u	},


	}
};

/************************************************* END OF SLAVE NODE 1 DESCRIPTION ********************************************************************************/ 
 
/************************************************** END OF AD2410 DESCRIPTION ********************************************************************************  */

/************************************************** START OF PERIPHERAL DESCRIPTION ********************************************************************************  */

/************************************************** START OF PERIPHERALS CONNECTED TO TARGET PROCESSOR  ********************************************************************************  */

/* Peripheral - 0*/

ADI_A2B_MEM_BCF_CONST_DATA
static A2B_PERIPHERAL_DEVICE_CONFIG  Target_PeriConfig0=
{
 /*! I2C interface status  */ 
	 .bI2CInterfaceUse = A2B_ENABLED, 

	/*7 bit I2C address */ 
	.nI2Caddr = 0xFF, 

	/* Device type -audio source/sink/host  */ 
	.eDeviceType = A2B_AUDIO_HOST, 

	/* Tx0 Pin in use */
	.bUseTx0 = A2B_DISABLED, 

	/* Rx0 Pin in use */
	.bUseRx0 = A2B_DISABLED, 

	/* Tx1 Pin in use */
	.bUseTx1 = A2B_DISABLED, 

	/* Rx1 Pin in use */
	.bUseRx1 = A2B_DISABLED, 

	/* No of Tx0 channels  */ 
	.nChTx0 = 16, 

	/* No of Rx0 channels  */ 
	.nChRx0 = 8, 

	/* No of Tx1 channels  */ 
	.nChTx1 = 0, 

	/* No of Rx1 channels  */ 
	.nChRx1 = 0, 

	/* Number of configuration units  */ 
	.nNumPeriConfigUnit = 0, 

	.paPeriConfigUnit = NULL_PTR 
 };

/************************************************** END OF PERIPHERALS CONNECTED TO TARGET PROCESSOR  ********************************************************************************  */

/************************************************** START OF CHAIN 0 MASTER 0 STREAM DESCRIPTION ********************************************************************************  */

/* Snk(Used) Streams description */

ADI_A2B_MEM_BCF_CONST_DATA
static ADI_A2B_STREAM  sChain0_Master0_Snk_Stream0 =
{
	/*! Stream ID */ 
	 .nStreamID = 1, 

	/*! Stream Name (Just for reference). Leave it commented!!! (will result in build errors if uncommented) */ 
	/*.nStreamName = Stereo, */

	/*! Data width (in Bits) of the stream */ 
	.nDataWidth = 24, 

	/*! Number of channels in the stream */ 
	.nNumChannels = 2, 

	/*! Number of slots used for the stream */ 
	.nNumSlots = 2, 

	/*! Sampling rate of the stream (in kHz) */ 
	.nSampleRate = 48, 

	/*! Bus slot number (starting index) to which the stream is mapped */ 
	.nBusSlotIndex = 0, 

	/*! Stream Direction (0 - Downstream, 1 - Upstream) */ 
	.eDirection = A2B_UPSTREAM
};

/************************************************** END OF CHAIN 0 MASTER 0 STREAM DESCRIPTION ********************************************************************************  */

/************************************************** START OF CHAIN 0 SLAVE0 PERIPHERAL DESCRIPTION ********************************************************************************  */

/* Peripheral - 0*/

ADI_A2B_MEM_BCF_CONST_DATA
static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave0_PeriConfig0=
{
 /*! I2C interface status  */ 
	.bI2CInterfaceUse = A2B_ENABLED, 

	/*7 bit I2C address */ 
	.nI2Caddr = 0x50, 

	/* Device type -audio source/sink/host  */ 
	.eDeviceType = A2B_GENERIC_I2C_DEVICE, 

	/* Tx0 Pin in use */
	.bUseTx0 = A2B_DISABLED, 

	/* Rx0 Pin in use */
	.bUseRx0 = A2B_DISABLED, 

	/* Tx1 Pin in use */
	.bUseTx1 = A2B_DISABLED, 

	/* Rx1 Pin in use */
	.bUseRx1 = A2B_DISABLED, 

	/* No of Tx0 channels  */ 
	.nChTx0 = 0, 

	/* No of Rx0 channels  */ 
	.nChRx0 = 0, 

	/* No of Tx1 channels  */ 
	.nChTx1 = 0, 

	/* No of Rx1 channels  */ 
	.nChRx1 = 0, 

	/* Number of configuration units  */ 
	.nNumPeriConfigUnit = 0, 

	/* Pointer to configuration units  */ 
	.paPeriConfigUnit = NULL_PTR 
 };

/* Peripheral - 1*/

ADI_A2B_MEM_BCF_CONST_DATA
static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave0_PeriConfig1=
{
 /*! I2C interface status  */ 
	.bI2CInterfaceUse = A2B_DISABLED, 

	/*7 bit I2C address */ 
	.nI2Caddr = 0x50, 

	/* Device type -audio source/sink/host  */ 
	.eDeviceType = A2B_AUDIO_SOURCE, 

	/* Tx0 Pin in use */
	.bUseTx0 = A2B_DISABLED, 

	/* Rx0 Pin in use */
	.bUseRx0 = A2B_DISABLED, 

	/* Tx1 Pin in use */
	.bUseTx1 = A2B_ENABLED, 

	/* Rx1 Pin in use */
	.bUseRx1 = A2B_DISABLED, 

	/* No of Tx0 channels  */ 
	.nChTx0 = 0, 

	/* No of Rx0 channels  */ 
	.nChRx0 = 0, 

	/* No of Tx1 channels  */ 
	.nChTx1 = 2, 

	/* No of Rx1 channels  */ 
	.nChRx1 = 0, 

	/* Number of configuration units  */ 
	.nNumPeriConfigUnit = 0, 

	/* Pointer to configuration units  */ 
	.paPeriConfigUnit = NULL_PTR 
 };

/************************************************** END OF CHAIN 0 SLAVE0 PERIPHERAL DESCRIPTION ********************************************************************************  */

/************************************************** START OF CHAIN 0 SLAVE 0 STREAM DESCRIPTION ********************************************************************************  */

/* Src(Added) Streams description */

ADI_A2B_MEM_BCF_CONST_DATA
static ADI_A2B_STREAM  sChain0_Slave0_Src_Stream0 =
{
	/*! Stream ID */ 
	 .nStreamID = 0, 

	/*! Stream Name (Just for reference). Leave it commented!!! (will result in build errors if uncommented) */ 
	/*.nStreamName = Mic, */

	/*! Data width (in Bits) of the stream */ 
	.nDataWidth = 24, 

	/*! Number of channels in the stream */ 
	.nNumChannels = 2, 

	/*! Number of slots used for the stream */ 
	.nNumSlots = 2, 

	/*! Sampling rate of the stream (in kHz) */ 
	.nSampleRate = 48, 

	/*! Bus slot number (starting index) to which the stream is mapped */ 
	.nBusSlotIndex = 0, 

	/*! Stream Direction (0 - Downstream, 1 - Upstream) */ 
	.eDirection = A2B_DOWNSTREAM
};

/* PassThru Streams description */

ADI_A2B_MEM_BCF_CONST_DATA
static ADI_A2B_STREAM  sChain0_Slave0_PassThru_Stream0 =
{
	/*! Stream ID */ 
	 .nStreamID = 1, 

	/*! Stream Name (Just for reference). Leave it commented!!! (will result in build errors if uncommented) */ 
	/*.nStreamName = Stereo, */

	/*! Data width (in Bits) of the stream */ 
	.nDataWidth = 24, 

	/*! Number of channels in the stream */ 
	.nNumChannels = 2, 

	/*! Number of slots used for the stream */ 
	.nNumSlots = 2, 

	/*! Sampling rate of the stream (in kHz) */ 
	.nSampleRate = 48, 

	/*! Bus slot number (starting index) to which the stream is mapped */ 
	.nBusSlotIndex = 0, 

	/*! Stream Direction (0 - Downstream, 1 - Upstream) */ 
	.eDirection = A2B_UPSTREAM
};

/************************************************** END OF CHAIN 0 SLAVE 0 STREAM DESCRIPTION ********************************************************************************  */

/************************************************** START OF CHAIN 0 SLAVE1 PERIPHERAL DESCRIPTION ********************************************************************************  */

/* Peripheral - 0*/

ADI_A2B_MEM_BCF_CONST_DATA
static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave1_PeriConfig0=
{
 /*! I2C interface status  */ 
	.bI2CInterfaceUse = A2B_ENABLED, 

	/*7 bit I2C address */ 
	.nI2Caddr = 0x50, 

	/* Device type -audio source/sink/host  */ 
	.eDeviceType = A2B_GENERIC_I2C_DEVICE, 

	/* Tx0 Pin in use */
	.bUseTx0 = A2B_DISABLED, 

	/* Rx0 Pin in use */
	.bUseRx0 = A2B_DISABLED, 

	/* Tx1 Pin in use */
	.bUseTx1 = A2B_DISABLED, 

	/* Rx1 Pin in use */
	.bUseRx1 = A2B_DISABLED, 

	/* No of Tx0 channels  */ 
	.nChTx0 = 0, 

	/* No of Rx0 channels  */ 
	.nChRx0 = 0, 

	/* No of Tx1 channels  */ 
	.nChTx1 = 0, 

	/* No of Rx1 channels  */ 
	.nChRx1 = 0, 

	/* Number of configuration units  */ 
	.nNumPeriConfigUnit = 0, 

	/* Pointer to configuration units  */ 
	.paPeriConfigUnit = NULL_PTR 
 };

/* Peripheral - 1*/

ADI_A2B_MEM_BCF_CONST_DATA
static A2B_PERIPHERAL_DEVICE_CONFIG  sChain0_Slave1_PeriConfig1=
{
 /*! I2C interface status  */ 
	.bI2CInterfaceUse = A2B_ENABLED, 

	/*7 bit I2C address */ 
	.nI2Caddr = 0x39, 

	/* Device type -audio source/sink/host  */ 
	.eDeviceType = A2B_AUDIO_SOURCE_SINK, 

	/* Tx0 Pin in use */
	.bUseTx0 = A2B_ENABLED, 

	/* Rx0 Pin in use */
	.bUseRx0 = A2B_ENABLED, 

	/* Tx1 Pin in use */
	.bUseTx1 = A2B_DISABLED, 

	/* Rx1 Pin in use */
	.bUseRx1 = A2B_DISABLED, 

	/* No of Tx0 channels  */ 
	.nChTx0 = 2, 

	/* No of Rx0 channels  */ 
	.nChRx0 = 2, 

	/* No of Tx1 channels  */ 
	.nChTx1 = 0, 

	/* No of Rx1 channels  */ 
	.nChRx1 = 0, 

	/* Number of configuration units  */ 
	.nNumPeriConfigUnit = 40, 

	/* Pointer to configuration units  */ 
	.paPeriConfigUnit =  &gaPeriCfg_1_39_Unit[0] 
 };

/************************************************** END OF CHAIN 0 SLAVE1 PERIPHERAL DESCRIPTION ********************************************************************************  */

/************************************************** START OF CHAIN 0 SLAVE 1 STREAM DESCRIPTION ********************************************************************************  */

/* Src(Added) Streams description */

ADI_A2B_MEM_BCF_CONST_DATA
static ADI_A2B_STREAM  sChain0_Slave1_Src_Stream0 =
{
	/*! Stream ID */ 
	 .nStreamID = 1, 

	/*! Stream Name (Just for reference). Leave it commented!!! (will result in build errors if uncommented) */ 
	/*.nStreamName = Stereo, */

	/*! Data width (in Bits) of the stream */ 
	.nDataWidth = 24, 

	/*! Number of channels in the stream */ 
	.nNumChannels = 2, 

	/*! Number of slots used for the stream */ 
	.nNumSlots = 2, 

	/*! Sampling rate of the stream (in kHz) */ 
	.nSampleRate = 48, 

	/*! Bus slot number (starting index) to which the stream is mapped */ 
	.nBusSlotIndex = 0, 

	/*! Stream Direction (0 - Downstream, 1 - Upstream) */ 
	.eDirection = A2B_UPSTREAM
};

/* Snk(Used) Streams description */

ADI_A2B_MEM_BCF_CONST_DATA
static ADI_A2B_STREAM  sChain0_Slave1_Snk_Stream0 =
{
	/*! Stream ID */ 
	 .nStreamID = 0, 

	/*! Stream Name (Just for reference). Leave it commented!!! (will result in build errors if uncommented) */ 
	/*.nStreamName = Mic, */

	/*! Data width (in Bits) of the stream */ 
	.nDataWidth = 24, 

	/*! Number of channels in the stream */ 
	.nNumChannels = 2, 

	/*! Number of slots used for the stream */ 
	.nNumSlots = 2, 

	/*! Sampling rate of the stream (in kHz) */ 
	.nSampleRate = 48, 

	/*! Bus slot number (starting index) to which the stream is mapped */ 
	.nBusSlotIndex = 0, 

	/*! Stream Direction (0 - Downstream, 1 - Upstream) */ 
	.eDirection = A2B_DOWNSTREAM
};

/************************************************** END OF CHAIN 0 SLAVE 1 STREAM DESCRIPTION ********************************************************************************  */


 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_0_Data[4] =
{
	0x0u,	0x0u,	0x10u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_1_Data[1] =
{
	0x7Fu	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_2_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_3_Data[1] =
{
	0xFu	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_4_Data[6] =
{
	0x0u,	0x1u,	0x0u,	0x0u,	0x20u,	0x3u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_5_Data[4] =
{
	0x64u,	0x0u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_6_Data[2] =
{
	0x10u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_7_Data[4] =
{
	0x0u,	0x0u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_8_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_9_Data[8] =
{
	0x0u,	0x1u,	0x5u,	0x1u,	0x5u,	0x0u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_10_Data[3] =
{
	0x13u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_11_Data[14] =
{
	0x21u,	0x0u,	0x41u,	0x0u,	0x1u,	0x1u,	0x1u,	0xE6u,	0xE7u,	0xE4u,	
	0xE4u,	0xE5u,	0x8u,	0x3u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_12_Data[2] =
{
	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_13_Data[3] =
{
	0x3u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_14_Data[1] =
{
	0xFFu	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_15_Data[2] =
{
	0xA0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_16_Data[1] =
{
	0x8u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_17_Data[1020] =
{
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u	
	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_18_Data[1020] =
{
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u	
	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_19_Data[1020] =
{
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u	
	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_20_Data[1020] =
{
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u	
	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_21_Data[15] =
{
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_22_Data[1] =
{
	0x1u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_23_Data[5] =
{
	0x41u,	0x7Fu,	0x6u,	0x7Fu,	0x1u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_24_Data[4] =
{
	0x0u,	0x0u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_25_Data[2] =
{
	0x10u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_26_Data[5] =
{
	0x0u,	0x4u,	0x0u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_27_Data[1] =
{
	0x7Fu	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_28_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_29_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_30_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_31_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_32_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_33_Data[2] =
{
	0x7Fu,	0x3u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_34_Data[1730] =
{
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFEu,	0xE0u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0x34u,	0x0u,	0x0u,	0x0u,	0xFFu,	0x2Cu,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0x54u,	0x0u,	0x0u,	0x0u,	0xFFu,	0x5Cu,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0xF5u,	0x8u,	0x20u,	0x0u,	0xFFu,	0x38u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0x80u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFEu,	0xE8u,	0xCu,	0x0u,	0x0u,	
	0xFEu,	0x30u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFFu,	0xE8u,	0x7u,	0x20u,	0x8u,	
	0x0u,	0x0u,	0x6u,	0xA0u,	0x0u,	0xFFu,	0xE0u,	0x0u,	0xC0u,	0x0u,	
	0xFFu,	0x80u,	0x7u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0x0u,	0x0u,	0x0u,	0x0u,	0xFEu,	0xC0u,	0x22u,	0x0u,	0x27u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFEu,	0xE8u,	0x1Eu,	0x0u,	0x0u,	
	0xFFu,	0xE8u,	0x1u,	0x20u,	0x0u,	0xFFu,	0xD8u,	0x1u,	0x3u,	0x0u,	
	0x0u,	0x7u,	0xC6u,	0x0u,	0x0u,	0xFFu,	0x8u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0xF4u,	0x0u,	0x20u,	0x0u,	0xFFu,	0xD8u,	0x7u,	0x2u,	0x0u,	
	0xFDu,	0xA5u,	0x8u,	0x20u,	0x0u,	0x0u,	0x0u,	0x0u,	0xE2u,	0x0u,	
	0xFDu,	0xADu,	0x8u,	0x20u,	0x0u,	0x0u,	0x8u,	0x0u,	0xE2u,	0x0u,	
	0xFDu,	0x25u,	0x8u,	0x20u,	0x0u,	0x0u,	0x10u,	0x0u,	0xE2u,	0x0u,	
	0xFDu,	0x2Du,	0x8u,	0x20u,	0x0u,	0x0u,	0x18u,	0x0u,	0xE2u,	0x0u,	
	0xFFu,	0xE8u,	0x8u,	0x20u,	0x0u,	0x0u,	0x20u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x45u,	0x1Fu,	0x20u,	0x0u,	0x0u,	0x35u,	0x8u,	0x22u,	0x0u,	
	0x0u,	0x0u,	0xAu,	0xA0u,	0x0u,	0xFFu,	0xE5u,	0x18u,	0x22u,	0x0u,	
	0x0u,	0x0u,	0x9u,	0xA0u,	0x0u,	0x0u,	0x38u,	0x0u,	0xEAu,	0x0u,	
	0x0u,	0x48u,	0x0u,	0xF2u,	0x0u,	0x0u,	0x38u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0xECu,	0x1u,	0x21u,	0x0u,	0x0u,	0x4u,	0x0u,	0xA1u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFFu,	0xE5u,	0x8u,	0x22u,	0x40u,	
	0x0u,	0x50u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x48u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x57u,	0xFFu,	0x20u,	0x0u,	
	0xFFu,	0xE5u,	0x8u,	0x22u,	0x0u,	0x0u,	0x58u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x58u,	0xBu,	0x20u,	0x0u,	0x0u,	0x28u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x85u,	0x1Fu,	0x20u,	0x0u,	0x0u,	0x75u,	0x8u,	0x22u,	0x0u,	
	0x0u,	0x0u,	0xDu,	0xA0u,	0x0u,	0xFFu,	0xE5u,	0x18u,	0x22u,	0x0u,	
	0x0u,	0x0u,	0xCu,	0xA0u,	0x0u,	0x0u,	0x78u,	0x0u,	0xEAu,	0x0u,	
	0x0u,	0x88u,	0x0u,	0xF2u,	0x0u,	0x0u,	0x78u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0xECu,	0x1u,	0x21u,	0x0u,	0x0u,	0x4u,	0x0u,	0xA1u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFFu,	0xE5u,	0x8u,	0x22u,	0x40u,	
	0x0u,	0x50u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x88u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x57u,	0xFFu,	0x20u,	0x0u,	
	0xFFu,	0xE5u,	0x8u,	0x22u,	0x0u,	0x0u,	0x58u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x58u,	0xEu,	0x20u,	0x0u,	0x0u,	0x68u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x25u,	0x8u,	0x20u,	0x0u,	0xFFu,	0xD8u,	0xFu,	0x2u,	0x0u,	
	0x0u,	0x90u,	0x0u,	0xE2u,	0x0u,	0xFFu,	0xE8u,	0x10u,	0x20u,	0x0u,	
	0x0u,	0xE0u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x6Du,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xA8u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x6Du,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xC0u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x5u,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xB0u,	0x0u,	0xE2u,	0x0u,	0x0u,	0xDu,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xC8u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x15u,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xB8u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x1Du,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xD0u,	0x0u,	0xE2u,	0x0u,	0xFFu,	0xF5u,	0x8u,	0x20u,	0x0u,	
	0x1u,	0x38u,	0x0u,	0xE2u,	0x0u,	0x0u,	0xDDu,	0x8u,	0x20u,	0x0u,	
	0x0u,	0xE5u,	0x8u,	0x22u,	0x48u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0xFFu,	0xEDu,	0x8u,	0x20u,	0x26u,	0x1u,	0x38u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0xFDu,	0x8u,	0x20u,	0x0u,	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	
	0x0u,	0xDDu,	0x8u,	0x20u,	0x0u,	0x1u,	0x1Du,	0x8u,	0x20u,	0x25u,	
	0x1u,	0x20u,	0x0u,	0xE2u,	0x0u,	0x1u,	0xDu,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	0x0u,	0xDDu,	0x8u,	0x20u,	0x0u,	
	0x1u,	0x2Du,	0x8u,	0x20u,	0x25u,	0x1u,	0x30u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0x45u,	0x8u,	0x20u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x1u,	0x50u,	0x0u,	0xF0u,	0x0u,	0x1u,	0x55u,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	0x1u,	0x3Du,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xF5u,	0x8u,	0x20u,	0x25u,	0x1u,	0x38u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0xDDu,	0x8u,	0x20u,	0x0u,	0x0u,	0xE0u,	0x0u,	0xE2u,	0x25u,	
	0x0u,	0xEDu,	0x8u,	0x20u,	0x0u,	0x0u,	0xFDu,	0x8u,	0x22u,	0x40u,	
	0x1u,	0x48u,	0x0u,	0xE2u,	0x0u,	0x0u,	0xFDu,	0x8u,	0x20u,	0x0u,	
	0x1u,	0x4Du,	0x14u,	0x22u,	0x0u,	0x1u,	0x0u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0x20u,	0x0u,	0xC0u,	0x0u,	0x0u,	0x7u,	0xFFu,	0xA0u,	0x0u,	
	0x1u,	0x0u,	0x0u,	0xC0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0xAFu,	0xFFu,	0x20u,	0x80u,	0x0u,	0x98u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0xC7u,	0xFFu,	0x40u,	0x80u,	0x0u,	0xA0u,	0x0u,	0xE4u,	0x0u,	
	0xFFu,	0xEDu,	0x8u,	0x20u,	0x0u,	0xFFu,	0xEFu,	0xFFu,	0x22u,	0x40u,	
	0x1u,	0x10u,	0x0u,	0xE2u,	0x0u,	0x1u,	0x30u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x7u,	0xFFu,	0xA0u,	0x0u,	0x1u,	0x10u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xAFu,	0xFFu,	0x20u,	0x80u,	
	0x0u,	0x9Du,	0x8u,	0x22u,	0x0u,	0x0u,	0x98u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0xC7u,	0xFFu,	0x40u,	0x80u,	0x0u,	0xA5u,	0x8u,	0x44u,	0x0u,	
	0x0u,	0xA0u,	0x0u,	0xE4u,	0x0u,	0x0u,	0xEDu,	0x8u,	0x20u,	0x0u,	
	0x1u,	0x3Du,	0x8u,	0x22u,	0x40u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0xF0u,	0x0u,	0xF0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x1u,	0x7Du,	0x8u,	0x20u,	0x0u,	0xFFu,	0xE8u,	0x12u,	0x34u,	0x0u,	
	0x1u,	0x6Du,	0x8u,	0x22u,	0x48u,	0x1u,	0x78u,	0x11u,	0x20u,	0x40u,	
	0x1u,	0x68u,	0x11u,	0x34u,	0x40u,	0x1u,	0x78u,	0x11u,	0x20u,	0x25u,	
	0x1u,	0x68u,	0x11u,	0x34u,	0x25u,	0x1u,	0x90u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0x88u,	0x0u,	0xF2u,	0x0u,	0x1u,	0x7Du,	0x8u,	0x20u,	0x0u,	
	0x1u,	0x8Du,	0x8u,	0x22u,	0x0u,	0x1u,	0x6Du,	0x8u,	0x34u,	0x0u,	
	0x1u,	0x95u,	0x8u,	0x22u,	0x0u,	0x1u,	0x70u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0x80u,	0x0u,	0xF2u,	0x0u,	0x1u,	0x75u,	0x8u,	0x20u,	0x8u,	
	0xFFu,	0xEDu,	0x1Fu,	0x20u,	0x0u,	0x1u,	0x75u,	0x8u,	0x20u,	0x25u,	
	0x1u,	0x70u,	0x0u,	0xE2u,	0x0u,	0xFFu,	0xEDu,	0x1Fu,	0x22u,	0x40u,	
	0x1u,	0xA0u,	0x0u,	0xE2u,	0x0u,	0x1u,	0x75u,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xE8u,	0x12u,	0x22u,	0x40u,	0x1u,	0x70u,	0x11u,	0x30u,	0x48u,	
	0x1u,	0xA5u,	0x8u,	0x20u,	0x0u,	0xFFu,	0xE8u,	0x12u,	0x20u,	0x27u,	
	0x1u,	0xA0u,	0x0u,	0xE2u,	0x0u,	0x1u,	0xA0u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x17u,	0xFFu,	0x20u,	0x0u,	0x1u,	0x58u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x1Fu,	0xFFu,	0x20u,	0x0u,	0x1u,	0x60u,	0x0u,	0xE2u,	0x0u,	
	0xFFu,	0xE8u,	0x13u,	0x20u,	0x0u,	0x1u,	0xF0u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x5u,	0x8u,	0x20u,	0x0u,	0x1u,	0xB8u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0xDu,	0x8u,	0x20u,	0x0u,	0x1u,	0xD0u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0x5Du,	0x8u,	0x20u,	0x0u,	0x1u,	0xC0u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0x65u,	0x8u,	0x20u,	0x0u,	0x1u,	0xD8u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x2Du,	0x8u,	0x20u,	0x0u,	0x1u,	0xC8u,	0x0u,	0xE2u,	0x0u,	
	0x0u,	0x2Du,	0x8u,	0x20u,	0x0u,	0x1u,	0xE0u,	0x0u,	0xE2u,	0x0u,	
	0xFFu,	0xF5u,	0x8u,	0x20u,	0x0u,	0x2u,	0x48u,	0x0u,	0xE2u,	0x0u,	
	0x1u,	0xEDu,	0x8u,	0x20u,	0x0u,	0x1u,	0xF5u,	0x8u,	0x22u,	0x48u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFFu,	0xEDu,	0x8u,	0x20u,	0x26u,	
	0x2u,	0x48u,	0x0u,	0xE2u,	0x0u,	0x2u,	0xDu,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	0x1u,	0xEDu,	0x8u,	0x20u,	0x0u,	
	0x2u,	0x2Du,	0x8u,	0x20u,	0x25u,	0x2u,	0x30u,	0x0u,	0xE2u,	0x0u,	
	0x2u,	0x1Du,	0x8u,	0x20u,	0x0u,	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	
	0x1u,	0xEDu,	0x8u,	0x20u,	0x0u,	0x2u,	0x3Du,	0x8u,	0x20u,	0x25u,	
	0x2u,	0x40u,	0x0u,	0xE2u,	0x0u,	0x2u,	0x55u,	0x8u,	0x20u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x2u,	0x60u,	0x0u,	0xF0u,	0x0u,	
	0x2u,	0x65u,	0x8u,	0x20u,	0x0u,	0xFFu,	0xEDu,	0x13u,	0x22u,	0x48u,	
	0x2u,	0x4Du,	0x8u,	0x20u,	0x0u,	0xFFu,	0xF5u,	0x8u,	0x20u,	0x25u,	
	0x2u,	0x48u,	0x0u,	0xE2u,	0x0u,	0x1u,	0xEDu,	0x8u,	0x20u,	0x0u,	
	0x1u,	0xF0u,	0x0u,	0xE2u,	0x25u,	0x1u,	0xFDu,	0x8u,	0x20u,	0x0u,	
	0x2u,	0xDu,	0x8u,	0x22u,	0x40u,	0x2u,	0x58u,	0x0u,	0xE2u,	0x0u,	
	0x2u,	0xDu,	0x8u,	0x20u,	0x0u,	0x2u,	0x5Du,	0x14u,	0x22u,	0x0u,	
	0x2u,	0x10u,	0x0u,	0xE2u,	0x0u,	0x2u,	0x30u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x7u,	0xFFu,	0xA0u,	0x0u,	0x2u,	0x10u,	0x0u,	0xC0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x1u,	0xBFu,	0xFFu,	0x20u,	0x80u,	
	0x1u,	0xA8u,	0x0u,	0xE2u,	0x0u,	0x1u,	0xD7u,	0xFFu,	0x40u,	0x80u,	
	0x1u,	0xB0u,	0x0u,	0xE4u,	0x0u,	0xFFu,	0xEDu,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xEFu,	0xFFu,	0x22u,	0x40u,	0x2u,	0x20u,	0x0u,	0xE2u,	0x0u,	
	0x2u,	0x40u,	0x0u,	0xC0u,	0x0u,	0x0u,	0x7u,	0xFFu,	0xA0u,	0x0u,	
	0x2u,	0x20u,	0x0u,	0xC0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x1u,	0xBFu,	0xFFu,	0x20u,	0x80u,	0x1u,	0xADu,	0x8u,	0x22u,	0x0u,	
	0x1u,	0xA8u,	0x0u,	0xE2u,	0x0u,	0x1u,	0xD7u,	0xFFu,	0x40u,	0x80u,	
	0x1u,	0xB5u,	0x8u,	0x44u,	0x0u,	0x1u,	0xB0u,	0x0u,	0xE4u,	0x0u,	
	0x1u,	0xFDu,	0x8u,	0x20u,	0x0u,	0x2u,	0x4Du,	0x8u,	0x22u,	0x40u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x2u,	0x0u,	0x0u,	0xF0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x2u,	0x8Du,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xE8u,	0x15u,	0x34u,	0x0u,	0x2u,	0x7Du,	0x8u,	0x22u,	0x48u,	
	0x2u,	0x88u,	0x14u,	0x20u,	0x40u,	0x2u,	0x78u,	0x14u,	0x34u,	0x40u,	
	0x2u,	0x88u,	0x14u,	0x20u,	0x25u,	0x2u,	0x78u,	0x14u,	0x34u,	0x25u,	
	0x2u,	0xA0u,	0x0u,	0xE2u,	0x0u,	0x2u,	0x98u,	0x0u,	0xF2u,	0x0u,	
	0x2u,	0x8Du,	0x8u,	0x20u,	0x0u,	0x2u,	0x9Du,	0x8u,	0x22u,	0x0u,	
	0x2u,	0x7Du,	0x8u,	0x34u,	0x0u,	0x2u,	0xA5u,	0x8u,	0x22u,	0x0u,	
	0x2u,	0x80u,	0x0u,	0xE2u,	0x0u,	0x2u,	0x90u,	0x0u,	0xF2u,	0x0u,	
	0x2u,	0x85u,	0x8u,	0x20u,	0x8u,	0xFFu,	0xEDu,	0x1Fu,	0x20u,	0x0u,	
	0x2u,	0x85u,	0x8u,	0x20u,	0x25u,	0x2u,	0x80u,	0x0u,	0xE2u,	0x0u,	
	0xFFu,	0xEDu,	0x1Fu,	0x22u,	0x40u,	0x2u,	0xB0u,	0x0u,	0xE2u,	0x0u,	
	0x2u,	0x85u,	0x8u,	0x20u,	0x0u,	0xFFu,	0xE8u,	0x15u,	0x22u,	0x40u,	
	0x2u,	0x80u,	0x14u,	0x30u,	0x48u,	0x2u,	0xB5u,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xE8u,	0x15u,	0x20u,	0x27u,	0x2u,	0xB0u,	0x0u,	0xE2u,	0x0u,	
	0x2u,	0xB0u,	0x0u,	0xC0u,	0x0u,	0x0u,	0x9Fu,	0xFFu,	0x20u,	0x0u,	
	0x2u,	0x68u,	0x0u,	0xE2u,	0x0u,	0x0u,	0xA7u,	0xFFu,	0x20u,	0x0u,	
	0x2u,	0x70u,	0x0u,	0xE2u,	0x0u,	0x2u,	0xDDu,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xE8u,	0x17u,	0x34u,	0x0u,	0x2u,	0xCDu,	0x8u,	0x22u,	0x48u,	
	0x2u,	0xD8u,	0x16u,	0x20u,	0x40u,	0x2u,	0xC8u,	0x16u,	0x34u,	0x40u,	
	0x2u,	0xD8u,	0x16u,	0x20u,	0x25u,	0x2u,	0xC8u,	0x16u,	0x34u,	0x25u,	
	0x2u,	0xF0u,	0x0u,	0xE2u,	0x0u,	0x2u,	0xE8u,	0x0u,	0xF2u,	0x0u,	
	0x2u,	0xDDu,	0x8u,	0x20u,	0x0u,	0x2u,	0xEDu,	0x8u,	0x22u,	0x0u,	
	0x2u,	0xCDu,	0x8u,	0x34u,	0x0u,	0x2u,	0xF5u,	0x8u,	0x22u,	0x0u,	
	0x2u,	0xD0u,	0x0u,	0xE2u,	0x0u,	0x2u,	0xE0u,	0x0u,	0xF2u,	0x0u,	
	0x2u,	0xD5u,	0x8u,	0x20u,	0x8u,	0xFFu,	0xEDu,	0x1Fu,	0x20u,	0x0u,	
	0x2u,	0xD5u,	0x8u,	0x20u,	0x25u,	0x2u,	0xD0u,	0x0u,	0xE2u,	0x0u,	
	0xFFu,	0xEDu,	0x1Fu,	0x22u,	0x40u,	0x3u,	0x0u,	0x0u,	0xE2u,	0x0u,	
	0x2u,	0xD5u,	0x8u,	0x20u,	0x0u,	0xFFu,	0xE8u,	0x17u,	0x22u,	0x40u,	
	0x2u,	0xD0u,	0x16u,	0x30u,	0x48u,	0x3u,	0x5u,	0x8u,	0x20u,	0x0u,	
	0xFFu,	0xE8u,	0x17u,	0x20u,	0x27u,	0x3u,	0x0u,	0x0u,	0xE2u,	0x0u,	
	0x3u,	0x0u,	0x0u,	0xC0u,	0x0u,	0x1u,	0xAFu,	0xFFu,	0x20u,	0x0u,	
	0x2u,	0xB8u,	0x0u,	0xE2u,	0x0u,	0x1u,	0xB7u,	0xFFu,	0x20u,	0x0u,	
	0x2u,	0xC0u,	0x0u,	0xE2u,	0x0u,	0x2u,	0x6Du,	0x8u,	0x20u,	0x0u,	
	0xFDu,	0x60u,	0x0u,	0xE2u,	0x0u,	0x2u,	0x75u,	0x8u,	0x20u,	0x0u,	
	0xFDu,	0x68u,	0x0u,	0xE2u,	0x0u,	0x2u,	0xC5u,	0x8u,	0x20u,	0x0u,	
	0xFDu,	0xB8u,	0x0u,	0xE2u,	0x0u,	0x2u,	0xBDu,	0x8u,	0x20u,	0x0u,	
	0xFDu,	0xB0u,	0x0u,	0xE2u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0xFEu,	0x30u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0xFEu,	0xC0u,	0xFu,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u	
	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_35_Data[96] =
{
	0x0u,	0x0u,	0x10u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x2u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0xFFu,	
	0x0u,	0x2u,	0x22u,	0x26u,	0x0u,	0x80u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x0u,	0xFFu,	0x0u,	0x2u,	0x22u,	0x26u,	0x0u,	0x80u,	0x0u,	0x0u,	
	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x1u,	0x0u,	0x0u,	
	0x10u,	0x0u,	0x0u,	0x80u,	0x0u,	0x0u,	0x0u,	0x0u,	0x0u,	0x1u,	
	0x0u,	0x0u,	0x10u,	0x0u,	0x0u,	0x80u,	0x0u,	0x0u,	0x0u,	0x0u,	
	0x10u,	0x0u,	0x0u,	0x80u,	0x0u,	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_36_Data[1] =
{
	0x1u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_37_Data[1] =
{
	0x1u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_38_Data[1] =
{
	0x0u	
};

 ADI_A2B_MEM_PERI_CONFIG_CONST_DATA 
static	uint8 gaPeriCfg_1_39_39_Data[1] =
{
	0x3u	
};

ADI_A2B_MEM_PERI_CONFIG_UNIT
static	ADI_A2B_PERI_CONFIG_UNIT gaPeriCfg_1_39_Unit[40] =
{
	{A2B_WRITE_OP,	0x2u,	0x0u,	0x1u,	0x4u,	&gaPeriCfg_1_39_0_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40EBu,	0x1u,	0x1u,	&gaPeriCfg_1_39_1_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F6u,	0x1u,	0x1u,	&gaPeriCfg_1_39_2_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4000u,	0x1u,	0x1u,	&gaPeriCfg_1_39_3_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4002u,	0x1u,	0x6u,	&gaPeriCfg_1_39_4_Data[0],	0x0u },
	{A2B_DEALY_OP,	0x0u,	0x0u,	0x1u,	0x4u,	&gaPeriCfg_1_39_5_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4015u,	0x1u,	0x2u,	&gaPeriCfg_1_39_6_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4011u,	0x1u,	0x4u,	&gaPeriCfg_1_39_7_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4008u,	0x1u,	0x1u,	&gaPeriCfg_1_39_8_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4009u,	0x1u,	0x8u,	&gaPeriCfg_1_39_9_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4019u,	0x1u,	0x3u,	&gaPeriCfg_1_39_10_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x401Cu,	0x1u,	0xEu,	&gaPeriCfg_1_39_11_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4017u,	0x1u,	0x2u,	&gaPeriCfg_1_39_12_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x402Au,	0x1u,	0x3u,	&gaPeriCfg_1_39_13_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x402Du,	0x1u,	0x1u,	&gaPeriCfg_1_39_14_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x402Fu,	0x1u,	0x2u,	&gaPeriCfg_1_39_15_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4031u,	0x1u,	0x1u,	&gaPeriCfg_1_39_16_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x800u,	0x1u,	0x3FCu,	&gaPeriCfg_1_39_17_Data[0],	0x5u },
	{A2B_WRITE_OP,	0x2u,	0x8CCu,	0x1u,	0x3FCu,	&gaPeriCfg_1_39_18_Data[0],	0x5u },
	{A2B_WRITE_OP,	0x2u,	0x998u,	0x1u,	0x3FCu,	&gaPeriCfg_1_39_19_Data[0],	0x5u },
	{A2B_WRITE_OP,	0x2u,	0xA64u,	0x1u,	0x3FCu,	&gaPeriCfg_1_39_20_Data[0],	0x5u },
	{A2B_WRITE_OP,	0x2u,	0xBFCu,	0x1u,	0xFu,	&gaPeriCfg_1_39_21_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F5u,	0x1u,	0x1u,	&gaPeriCfg_1_39_22_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40C0u,	0x1u,	0x5u,	&gaPeriCfg_1_39_23_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40C6u,	0x1u,	0x4u,	&gaPeriCfg_1_39_24_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40E9u,	0x1u,	0x2u,	&gaPeriCfg_1_39_25_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40D0u,	0x1u,	0x5u,	&gaPeriCfg_1_39_26_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40EBu,	0x1u,	0x1u,	&gaPeriCfg_1_39_27_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F2u,	0x1u,	0x1u,	&gaPeriCfg_1_39_28_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F3u,	0x1u,	0x1u,	&gaPeriCfg_1_39_29_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F4u,	0x1u,	0x1u,	&gaPeriCfg_1_39_30_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F7u,	0x1u,	0x1u,	&gaPeriCfg_1_39_31_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F8u,	0x1u,	0x1u,	&gaPeriCfg_1_39_32_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F9u,	0x1u,	0x2u,	&gaPeriCfg_1_39_33_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x800u,	0x1u,	0x6C2u,	&gaPeriCfg_1_39_34_Data[0],	0x5u },
	{A2B_WRITE_OP,	0x2u,	0x0u,	0x1u,	0x60u,	&gaPeriCfg_1_39_35_Data[0],	0x4u },
	{A2B_WRITE_OP,	0x2u,	0x40EBu,	0x1u,	0x1u,	&gaPeriCfg_1_39_36_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x40F6u,	0x1u,	0x1u,	&gaPeriCfg_1_39_37_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4036u,	0x1u,	0x1u,	&gaPeriCfg_1_39_38_Data[0],	0x0u },
	{A2B_WRITE_OP,	0x2u,	0x4036u,	0x1u,	0x1u,	&gaPeriCfg_1_39_39_Data[0],	0x0u }
};
